/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.proceduredecls;

import polyglot.ast.ProcedureDecl;

/**
 * SJProcedureDecls are an extension of a session code scope (i.e. we stay in the exception handling scope of the caller). SJSpawns on the other hand move a session socket between session-try scopes. SJReturn requires the target scope to support the returned session (can see as a backwards version of SJCall, or similar to SJSpawn).
 */
public interface SJProcedureDecl extends ProcedureDecl
{

}