/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.proceduredecls;

import java.util.List;

import polyglot.ast.*;
import polyglot.types.Flags;
import polyglot.util.Position;

public class SJRecursiveMethodDecl_c extends SJMethodDecl_c implements SJRecursiveMethodDecl
{
	public SJRecursiveMethodDecl_c(Position pos, Flags flags, TypeNode returnType, Id name, List<Formal> formals, List<TypeNode> throwTypes, Block body)
	{
		super(pos, flags, returnType, name, formals, throwTypes, body);
	}
}
