/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.sessops.basicops;

import sj.util.SJLabel;

public interface SJRecurse extends SJBasicOperation // Not really a call at all (later translated to an assignment) but used to conveniently satisfy base type checking and carry required session type information.
{
	public SJLabel label(); // Immutable.
}
