/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.sessops.basicops;

import java.util.List;

import polyglot.ast.*;
import polyglot.util.Position;

import sj.ast.sessvars.SJSocketVariable;
import sj.util.SJLabel;

public class SJRecurse_c extends SJBasicOperation_c implements SJRecurse
{
	private SJLabel lab;

	public SJRecurse_c(Position pos, SJSocketVariable target, Id name, List<Expr> arguments, SJLabel lab)
	{
		super(pos, target, name, arguments); // Label also encoded as an argument.

		this.lab = lab;
	}

	public SJLabel label()
	{
		return lab;
	}

	/*public SJRecurse label(SJLabel lab)
	{
		this.lab = lab;

		return this;
	}*/
}
