/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.typenodes;

import polyglot.util.Position;

import static sj.SJConstants.SJ_STRING_BEGIN;

public class SJBeginNode_c extends SJTypeNode_c implements SJBeginNode
{
	public SJBeginNode_c(Position pos)
	{
		super(pos);
	}

	// Duplicated from corresponding SJType implementations. But may be needed before types have been built.
	public String nodeToString()
	{
		return SJ_STRING_BEGIN;
	}
}
