/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.del;

import polyglot.ast.*;

public class SJDelFactory_c extends AbstractDelFactory_c implements SJDelFactory
{
	public SJDelFactory_c()
	{
		super();
	}

	public SJSessionTryDel SJSessionTryDel()
	{
		return new SJSessionTryDel_c();
	}

	public SJStructuralOperationDel SJStructuralOperationDel()
	{
		return new SJStructuralOperationDel_c();
	}

	public SJReceiveDel SJReceiveDel()
	{
		return new SJReceiveDel_c();
	}

	public SJSpawnDel SJSpawnDel()
	{
		return new SJSpawnDel_c();
	}
}
