/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension;

import sj.ast.*;
import sj.types.typeobjects.typeableinstances.SJNamedInstance;

public interface SJReturnOperationExt extends SJTypeableExt // For all channel and session return operations. // SJReturnOperation is not a SJNamed, but uses SJNamedInstance objects for convenience.
{
	public boolean anonymousReturn();
	public String returned();
	public SJReturnOperation returned(String returned);

	public SJNamedInstance sjNamedInstance(); // Duplicated from SJNamedExt.
	public SJReturnOperation sjNamedInstance(SJNamedInstance sjni);
}
