/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension.sesscasts;

import sj.ast.sesscasts.SJTypeCast;
import sj.ast.typenodes.SJTypeNode;
import sj.extension.*;
import sj.types.typeobjects.typeableinstances.SJTypeableInstance;

public class SJTypeCastExt_c extends SJTypeableExt_c implements SJTypeCastExt
{
	private SJTypeNode sjTypeNode;

	public SJTypeNode sjTypeNode()
	{
		return sjTypeNode;
	}

	public SJTypeCast sjTypeNode(SJTypeNode sjTypeNode)
	{
		this.sjTypeNode = sjTypeNode;

		return (SJTypeCast) node();
	}

	public SJTypeCast sjTypeableInstance(SJTypeableInstance sjti)
	{
		return (SJTypeCast) super.sjTypeableInstance(sjti);
	}
}
