/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension.sessformals;

import sj.ast.sessformals.*;
import sj.ast.typenodes.SJTypeNode;
import sj.extension.*;
import sj.types.typeobjects.typeableinstances.SJNamedInstance;

public class SJTypeFormalExt_c extends SJNamedExt_c implements SJTypeFormalExt
{
	private SJTypeNode sjTypeNode;

	public SJTypeFormalExt_c(SJTypeNode sjTypeNode)
	{
		this.sjTypeNode = sjTypeNode;
	}

	public SJTypeNode sjTypeNode()
	{
		return sjTypeNode;
	}

	public SJTypeFormal sjTypeNode(SJTypeNode sjTypeNode)
	{
		this.sjTypeNode = sjTypeNode;

		return (SJTypeFormal) node();
	}

	public String sjTypeableName()
	{
		return ((SJTypeFormal) node()).name();
	}

	public SJTypeFormal sjTypeableName(String sjTypeableName)
	{
		return (SJTypeFormal) ((SJTypeFormal) node()).name(sjTypeableName);
	}

	public SJTypeFormal sjNamedInstance(SJNamedInstance sjni)
	{
		return (SJTypeFormal) super.sjNamedInstance(sjni);
	}
}
