/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension.sessops;

import sj.ast.sessops.SJSessionOperation;
import sj.extension.SJTypeableExt;
import sj.types.typeobjects.typeableinstances.SJSessionOpInstance;

public interface SJSessionOperationExt extends SJTypeableExt
{
	/*public List<String> sessions();
	public SJSessionOperation sessions(List<String> sessions);*/

	public String session(); // Not using SJNamed because will later be generalised to support multiple sessions.
	//public SJSessionOperation session(String sessions);

	public SJSessionOpInstance sjSessionOpInstance();
	public SJSessionOperation sjSessionOpInstance(SJSessionOpInstance sjsoi);
}
