/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.typeableinstances;

import java.util.List;

import sj.types.typeobjects.SJTypeObject;
import sj.types.typeobjects.sesstypes.SJType;

public interface SJThreadInstance extends SJTypeObject // When all inner class types are supported, maybe this should be generalised for all types and based on the Polyglot ClassType.
{
	public String name();
	public SJThreadInstance name(String name);

	public List<SJType> runTypes();
	public SJThreadInstance runTypes(List<SJType> runTypes);
}
