/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.visit.contexts.sesscontexts;

import sj.types.typeobjects.sesstypes.SJType;
import sj.util.SJMap;

public interface SJMethodContext extends SJSessionTryContext // Session-method scopes are implicitly session-try scopes: exceptions must be propagated out.
{
	public String name();
	public SJMap sjFormals(); // Only the session-formals.
	public SJType sjReturnType();
}
