/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.runtime;

public class SJIOException extends SJException
{
	public static final long serialVersionUID = 1L;

	public SJIOException()
	{
		super();
	}

	public SJIOException(String message)
	{
		super(message);
	}

	public SJIOException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public SJIOException(Throwable cause)
	{
		super(cause);
	}
}
