/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.runtime;

public abstract class SJThread extends Thread
{
	public SJThread() { }

	public SJThread(String name)
	{
		super(name);
	}

	public SJThread(ThreadGroup group, String name)
	{
		super(group, name);
	}

	public void run() { }

	public SJThread _sjstart()
	{
		start();

		return this;
	}
}
