/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.runtime;

public class SJThreadGroup extends ThreadGroup
{
	public SJThreadGroup(String name)
	{
		super(name);
	}

	public SJThreadGroup(ThreadGroup group, String name)
	{
		super(group, name);
	}

	public void uncaughtException(Thread t, SJRuntimeException x)
	{
		interrupt();
	}
}
