/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.runtime.net;

import sj.runtime.SJException;

public class SJIncompatibleSessionException extends SJException
{
	public static final long serialVersionUID = 1L;

	public SJIncompatibleSessionException()
	{
		super();
	}

	public SJIncompatibleSessionException(String message)
	{
		super(message);
	}

	public SJIncompatibleSessionException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public SJIncompatibleSessionException(Throwable cause)
	{
		super(cause);
	}
}
