/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.runtime.net.contexts;

import sj.types.typeobjects.sesstypes.SJType;
import sj.util.SJLabel;

public class SJRecursionContext extends SJIterationContext // Analogous to the compiler contexts.
{
	private SJLabel lab;

	public SJRecursionContext(SJLabel lab, SJType active)
	{
		super(active);

		this.lab = lab;
	}

	public SJLabel label()
	{
		return lab;
	}

	/*public final boolean isRecursionContext()
	{
		return true;
	}*/
}
