package runtime.fsocket.codebase.client;

import java.io.Serializable;
import runtime.fsocket.codebase.Address;

public class AddressImpl extends Address {
    final private static long serialVersionUID = 1L;
    private String address;
    
    public AddressImpl() {
        super();
        this.address = null;
    }
    
    public AddressImpl(String address) {
        super();
        this.address = address;
    }
    
    public String getAddress() { return this.address; }
    
    public void setAddress(String address) { this.address = address; }
    
    final public static String jlc$CompilerVersion$jl = "2.2.3";
    final public static long jlc$SourceLastModified$jl = 1216304337267L;
    final public static String jlc$ClassType$jl =
      ("H4sIAAAAAAAAAJ1Xb2wURRSfu7bX9lroHyg0/U8pESRcNUaiNlGbCtJyQGkB" +
       "5TxyzO3OtdvO7a47\ns9ejSqMxAYRENIB/EoUvJiSGD0aifjFqAv7HxPQD+A" +
       "XUQIyJQvSDkRiMvpndu9vba6naZOZmZ96b\n9+a93/vTM9dRBbNQl2nQfWPU" +
       "4BG+zyQsMowtRtQBihnbARsJ5YGVt6YuHBxqLUN1MVSn6aMcc00Z\nMHROsj" +
       "yGatMknSQW61dVosZQg06IOkosDVNtGggNPYYamTamY25bhI0QZtCMIGxktk" +
       "ksKTO3GUW1\niqEzbtkKNyzGUX10Amdwr8012hvVGO+LolBKI1RlT6IZFIii" +
       "ihTFY0C4LJp7Ra+8sXej2AfysAZq\nWimskBxL+aSmqxx1+jnyL+7ZDATAWp" +
       "kmfNzIiyrXMWygRkclivWx3lFuafoYkFYYNkjhqGXeS4Go\nysTKJB4jCY6a" +
       "/XTDzhFQVUuzCBaOmvxk8qashVp8PvN4a1uo9q/Dw390BaXOKlGo0L8CmDp8" +
       "TCMk\nRSyiK8RhvGlHjg/uttuCCAFxk4/Yoelf9f7O6E8fdTo0rXPQbEtOEI" +
       "UnlFvr29pn+69Vlwk1qkyD\naQIKRS+XXh12T/qyJmBxWf5GcRjJHX488unu" +
       "Z94iPwdR1SAKKQa10/ogqia6OuCuK2Ed1XTi7G5L\npRjhg6icyq2QIb/BHC" +
       "mNEmGOclibmI/LddZECFXCCMDoQs5flZg4WgyoBtSywbRJI2yCowcjkTib\n" +
       "iHPCOIszS4lbts61NImnmKFMEh5XDJUkMSNxhWpE5/HiC7JC4qKpQAAe2+YP" +
       "PAoo3WRQlVgJ5fTV\nL5/esPn5Q8E89FxdOVrrioy4IiM5kRFHZMQjEgUCUt" +
       "byYsMKT6kioH55p6/+hXXsvSAqi6FqLZ22\nOU5SAoGIKTWmiJrgEokNHtRL" +
       "sAFSa5MAWsB/gsJFMkjAkhkLdfvBWQjpQVhhQNzszN/f3EhMnRU4\nEn5fKm" +
       "53VAMvTjq61a4Z3TO091B3mSCaKgd/BIG0Z+HbE8qNw1vOXvzq8upCEHDUUx" +
       "KbpZwitvzq\nD1uGQlTIXYXrX/lz06/HKu5/NyiAVA0pi2MAGsR/h19GUYz1" +
       "5fKVMFYwimpShpXGVBzlkkyYj1vG\nVGFH4qVGrhe7qASboXoXpYvEJA7rxd" +
       "TgoEvY0/cGmQ1vPhe669IHNZ8EvYmzzpNhRwl3wrCh4I4d\nFiGwf/nV4WMn" +
       "rh98QvrCcUaAo5BpJ6mmZKV+TQHw/ZI5UkKkeenxl9e8finn7CWF2/stC+8T" +
       "vs4+\nO9v+2mf4DUgXELZMmyYyKpGUhHICxHynXK/1HIrvLrnbVmKoJtdQjX" +
       "MZSkw9c14dcF4ovxuhDEmN\nBfgjTspfWKFel0QEhD/QN4oKlkNTOvnU7+dO" +
       "hrsc6wieljzW/Rm7iDGhTH+48+TNr/kV6dACDMUd\nndlSsbuwJ0Luu5hpCL" +
       "19Kh1ElTFUL6su1vkuTG3h7hjUTTbgbkbRoqLz4hroJPy+fJi1+UPAI9Yf\n" +
       "AIW8BmtBLdaVPswvg3E3jLDryrDPlTK/LS54KGpAST5y7cULR1d+B5YZQhUZ" +
       "oTUYxOPGrbboWQ6c\nOdFec/z7I9L27vXSpw9J6d1yXuXAvYyD7pqO4YmVpq" +
       "VlMAdDhJjshbIAESZbnl3QCEHB2jn4yBzu\nG7a0NNSzjFtwX+p488ezV0eW" +
       "Bj1dycqSxsDL43Qm0j5hMwsSVtxOgqQ+v3bFmZmRK0mnYjcWl4EN\nup2+99" +
       "S3ZM3DtcochaacgimdlCLmvrxLqmE0w6hxbVbjdwkyxWJ7qRWldR8Fe1Vip0" +
       "iJ73ukjKwn\nHFEhsFpyKcBC7fN1PfKlBx//rfYAPr8n6EbgVo6quWGuoyRD" +
       "aCEY/ZdskU1eDqF1j3X+sHH96f1z\nRWPnbTkTSkOmdXvZuPY51NJ8NJR0mc" +
       "VMfcUxELYINMn6jqJI6ChKaq0wlrtmX/7fktq/TqaYo/AY\n4f0eD8k5UaTJ" +
       "HTDaXE3a/ld6lTcvrM44qMPy6kiSIdNh2wIgzRiaCoCq8XQ9oso0l/xb4zTf" +
       "Svfs\n3tXnzIYvZPHON8gh6FJTNqXejORZh0yLpDSpTsjJT6b84eDiBdoxyB" +
       "LOQmrMHL4p6ITn4+OoKrf0\nskxDsfaxQBi5Ky/hfth2CcXnjJkrY13zaura" +
       "LvsPfvZgjhMOAAA=");
}
