// bin/sjc tests/src/ObjCreatTime.sj -d tests/classes/
// bin/sj -cp tests/classes/ ObjCreatTime 

import java.io.*;
import java.net.*;

import sj.types.typeobjects.sesstypes.*;

import sj.runtime.*;
import sj.runtime.net.*;
import sj.runtime.net.alt.*;

class Foo implements Serializable { }

class ObjCreatTime
{
	public static void main(String[] args) throws Exception
	{
		protocol p { begin.![?(Foo)]* }
		protocol q { begin.?[!<Foo>]* }
		
		SJServerAddress c = SJServerAddress.create(p, "vertex02", 8888);		
		SJFNS3Socket s = SJFNS3Socket.create(c);

		long timeStarted = -1;
		long timeFinished = -1;
		
		//SJType sjtype = s.decodeSJType(q.encodedSJType());
		
		//s.decodeSJType(p.encodedSJType()).treeDualtype(sjtype);
		
		for (int i = 0; i < 10; i++)
		{
			try (s)
			{
				timeStarted = System.currentTimeMillis();
			
				int y = i + 1;
			
				s.decodeSJType(p.encodedSJType()).treeDualtype(s.decodeSJType(q.encodedSJType()));				
				
				timeFinished = System.currentTimeMillis();
			}
			finally
			{
			
			}

			System.out.println("Time: " + (timeFinished - timeStarted) + "ms");
			
			int z = 1 + 2;
		}
	}
}
