/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast;

import java.util.List;

import polyglot.ast.*;

public interface SJSessionTry extends Try
{
	public List<Receiver> sockets(); // Move to extension object?
	public SJSessionTry sockets(List<Receiver> sockets);

	public String getReturned(); // Used for translation.
	public SJSessionTry setReturned(String returned);
}
