/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.sessops;

import java.util.List;

import polyglot.ast.*;
import polyglot.util.Position;

public class SJSpawn_c extends Call_c implements SJSpawn
{
	public SJSpawn_c(Position pos, New target, Id name, List<Expr> arguments)
	{
		super(pos, target, name, arguments);
	}

	public New target()
	{
		return (New) super.target();
	}

	public SJSpawn target(New target)
	{
		return (SJSpawn) super.target(target);
	}
}
