/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.sessops.basicops;

import polyglot.ast.Call;

import sj.ast.sessops.SJSessionOperation;
import sj.ast.sessvars.SJSocketVariable;

public interface SJBasicOperation extends Call, SJSessionOperation
{
	public SJSocketVariable target(); // Later generalise to accept multiple sessions (this will become a list of SJSocketVariable, and the translation call will be to a static method of the SJSocket class). // Not specified in SJSessionOperation because structural operation targets have Receiver type (until session operations have been parsed).
	public SJBasicOperation target(SJSocketVariable target);
}
