/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.sessops.structuralops;

import polyglot.ast.*;

import sj.util.SJLabel;

public interface SJRecursion extends Block, SJStructuralOperation // But does not need a SJSocketOperation.
{
	public SJLabel label();
	public SJRecursion label(SJLabel lab);
}
