/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.ast.socketops;

import java.util.List;

import polyglot.ast.*;
import polyglot.util.Position;

import sj.ast.sessvars.SJSocketVariable;

public abstract class SJSocketOperation_c extends Call_c implements SJSocketOperation
{
	public SJSocketOperation_c(Position pos, SJSocketVariable target, Id name, List<Expr> arguments)
	{
		super(pos, target, name, arguments);
	}

	public SJSocketVariable target()
	{
		return (SJSocketVariable) super.target();
	}

	public SJSocketOperation target(SJSocketVariable socket)
	{
		return (SJSocketOperation) super.target(socket);
	}
}
