/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.extension;

import sj.ast.SJNamed;
import sj.types.typeobjects.typeableinstances.SJNamedInstance;

public interface SJNamedExt extends SJTypeableExt
{
	public String sjTypeableName(); // Maybe rename to sjname;
	public SJNamed sjTypeableName(String sjTypeableName); // Never needed (name immutable)?

	public SJNamedInstance sjNamedInstance();
	public SJNamed sjNamedInstance(SJNamedInstance sjni);
}
