/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.sesstypes;

import java.util.Set;

import sj.util.SJLabel;

public interface SJOutbranchType extends SJType
{
	public Set<SJLabel> labelSet();
	public boolean hasCase(SJLabel lab);
	public SJType branchCase(SJLabel lab);
	public SJOutbranchType branchCase(SJLabel lab, SJType branchCase);
	public SJType removeCase(SJLabel lab);
}
