/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.types.typeobjects.typeableinstances;

import sj.types.typeobjects.sesstypes.SJType;
import sj.util.SJMap;

public class SJRecursiveMethodInstance_c extends SJMethodInstance_c implements SJRecursiveMethodInstance
{
	public static final long serialVersionUID = 1L;

	public SJRecursiveMethodInstance_c(String name, SJMap sjFormals, SJType sjReturnType)
	{
		super(name, sjFormals, sjReturnType);
	}

	public SJRecursiveMethodInstance name(String name)
	{
		return (SJRecursiveMethodInstance) super.name(name);
	}

	public SJRecursiveMethodInstance sjFormals(SJMap sjFormals)
	{
		return (SJRecursiveMethodInstance) super.sjFormals(sjFormals);
	}

	public SJRecursiveMethodInstance sjReturnType(SJType sjReturnType)
	{
		return (SJRecursiveMethodInstance) super.sjReturnType(sjReturnType);
	}
}
