/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.visit.contexts.sesscontexts;

import polyglot.types.SemanticException;

import sj.types.typeobjects.sesstypes.SJType;
import sj.util.*;

public class SJIOBranchCaseContext_c extends SJSessionOperationContext_c implements SJIOBranchCaseContext
{
	private SJLabel lab;

	public SJIOBranchCaseContext_c(String session, SJLabel lab, SJType sjType, SJSessionContext sjsc) throws SemanticException
	{
		super(session, sjType, sjsc);

		this.lab = lab;
	}

	public SJLabel label()
	{
		return lab;
	}
}
