/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.runtime;

public abstract class SJException extends Exception
{
	public static final long serialVersionUID = 1L;

	public SJException()
	{
		super();
	}

	public SJException(String message)
	{
		super(message);
	}

	public SJException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public SJException(Throwable cause)
	{
		super(cause);
	}
}
