/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.runtime;

import java.io.Serializable;

public class SJProtocol implements Serializable
{
	public static final long serialVersionUID = 1L;

	private String encodedSJType;

	public SJProtocol(String encodedSJType)
	{
		this.encodedSJType = encodedSJType;
	}

	public String encodedSJType()
	{
		return encodedSJType;
	}
}
