/*
 * This file is part of SessionJ.
 *
 * Copyright (C) Raymond Hu, Imperial College London.
 *
 */

package sj.runtime;

public class SJRuntimeException extends RuntimeException
{
	public static final long serialVersionUID = 1L;

	public SJRuntimeException()
	{
		super();
	}

	public SJRuntimeException(String message)
	{
		super(message);
	}

	public SJRuntimeException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public SJRuntimeException(Throwable cause)
	{
		super(cause);
	}
}
