package rftp;

import java.io.*;
import java.util.*;
import sj.runtime.*;
import sj.runtime.net.*;
import sj.runtime.util.*;

public class RFTPServer
{
    final private java.lang.String
      _sjprotocol_p_binrecv =
      ("H4sIAAAAAAAAAI1VS2wbRRgerx23eRTiNg2F5qGWVFVVYXPgKV+IolZNu4gQ" +
       "p5UIB2u8O7YnjHeX\nmbFjR6gS4gBckFDLSwJ6QeLSAyoCDiB6KQIhcemBcq" +
       "GXIsSBSnCLEAf+f8b22psIsKz1zvyv+b/v\n+8dX75IRJUlebeR1J2LKPMPK" +
       "BvO0yiumlN0tnV0ONutcsDVYlj1iPymHpFySqYR+R5PjrtooGO/C\nQI5CP0" +
       "ehdBaDi21Jjv9ntWQZxyUjHtT3XyQXsWY2opIF2qwg4cEoFJ2aCHU3rQ1fPP" +
       "bFefe36/MO\nIeBzeBefZ0zpsvf3YzOzNxd/GU1j7r1RqLjmYaDJIbcXVGhq" +
       "LgorXUuxHUXw/V/ArTKP8dZuwI03\nwI3WjEmTg3Eti5dFC1t0oBj+ZqHgA4" +
       "k2FqWkHZv8WnrhT+fL6QWHZJAVqhgG7QW0qpwJX2ky6W7Q\nFrW9uFzpokvG" +
       "eKCZrFKPKfQed8meBtP10LdLAG4uUXGVVRmA73Vb2m7mLy8/15xBlDEkHbXV" +
       "zqAV\nyRsAXQ+HN+c++vXTO6tTVkAv8MDX5MEkAEMxC+fAqThQ4ci/VTDeN0" +
       "4euXpx9XbF8r+/74/t508F\nzcajV35iJ56a8OwpAgqNk/0WIkGDWqGkJQ9q" +
       "QLYGODuaQdUDaLUZDPKIYvvlm7PvfUs/APUsk4zi\nW6wdIcmbGXzuAsZppG" +
       "M5UJoCimVv6+vzH27/oG+bY4x6IDzKAyY1mUsiMgQ9TtJMIvMFKuO8T/zY\n" +
       "ymU/udJwyJ51Mgl50aAvUNFkJabXgXq11N10yb4h+zAOdkxALBmfeUKTmeS5" +
       "BsqC10hV0BqobTrp\ndhr3i12okckD8I4mo1PDbSZqp4gR+xwAN5UEDhNsv5" +
       "J9+NZX498YuHq17h1QNjQHnEF4LiZrTTJs\n+ud3Vy69dffV59MgiSgyBDka" +
       "kvCAQl/ZqFkR3GvDm2BBTdfNDNwDcsPfnCZpbu+cfXZnGsNtErWT\nixUBQ3" +
       "UmFD6TZe/jO9+/dOrc66/FUjP9o7SspBDo/JIIA0Yrws7iSU2mjI2H+RKTnA" +
       "q+hca4eCyx\n+UTxp80Mx1rItQ4/m67z7xyS7tM4n+RnOChB1JhkuimDtT5d" +
       "khzdMYKhx/ymZHHdd/4688elkSc/\nM3dSrG3McH+PPVzMwnVYDWWDCizQu4" +
       "rGdF2Gm/FOTyKGA7M1b55HLZUpfD+Gl8N9w8OOGXwc1d+v\nFSffeEh9DjCs" +
       "k1HeaDQ1IuqSCSpEuMn8sjaXcW5A/UuCKlTtRIV6cFPVygIS2eNEqRZcCbv8" +
       "seQP\nTV1++8T7t/Dqifp0EXNKYvl73Jy2uMOI60dAkx5qoaeDyVgjdhjb/w" +
       "CVNBYHuQcAAA==");
    final private java.lang.String
      _sjprotocol_p_control =
      ("H4sIAAAAAAAAAJ1WTWwbRRSerH/SpKnqNGlaSJoQCCpVwC4Sv7IQDVFCnG5U" +
       "E6cRTQ/peHdsTxjv\nLrvjxIlQJcQBuCChlj8J6AWJSw+oCDiAQAgQCIkDPV" +
       "CERC9FiAOV4BYhDryZWXu9ayupiJzZnZk3\n3/v73pu9fBMlPBelvbU033SI" +
       "J0e7uEYM7qU94nlqtTCfszYqlJElmK4aSP11aahLR/GibW5ydFT3\n1jJSOt" +
       "OCkWliZArz4nC27qKju2qLqtF0lDBAv/ksOi90Jh3sEovLGQAedGy2WWY292" +
       "HV8am7Pzmt\n//HFmIYQyAx3kDklVa8a/z40cuTq1G89MYG9x7E9yqltcXRY" +
       "bxzK1Dhlmby/k607DvwgcJlbCFzR\nxZZR6RC5hIFBkqMBfQ2vY6ViDnuVBe" +
       "xk68I3DbSIZxI09QuZtJBJ+zKJ7l++/Gro3I8xpM2iXmZj\ncxYb3HZzqIdX" +
       "XOJVbGbWncdPSI19G3tgTMG/BmD7wWwJVZjXcZGwkFkxhoscHVBGMWyVMwXu" +
       "UqsM\nXnMUe3Jm6ZYIs0gMQtc7EWZvFcRwWW5xdDCIseKJYonvviee3TLY4q" +
       "23gzdivY+j7vxUoZBbngHj\nJnc1rkAscxfLBGx/KAsDAH3vrtBPkDK1otgo" +
       "5A9q+pPyoYcB+vYIQadcF28qoCuxib+1T4cmNBQX\n9QaskdZBHZQoYSZQKN" +
       "VCIZ16PKujXmpx4pawQaSqUR11Vwmv2KaaQkmMRjQukhKBsjL8pG3X0hdz\n" +
       "Z2ojDfNjYH77obxLq1AUjUy/Ovre7x/eWBxUreEZapkc3RVNcejMxEkQyrZo" +
       "GN9Jg5T+enL88vnF\n60VV2Qea8pLSM1at+uCln8mxE32GssLCVRmwfYLA8e" +
       "ImJ6BlIKgnGWkRtfrzV4+89S1+B/pADsU9\nukXqjkjgRlyMHZyfFeHPWR6H" +
       "Cgfntz4//e72D/y6VNtjQAvB1CIuh+BHIhAKteiJIxHkZewGuI/8\ntN6f/O" +
       "BSVUPdKygFuGKDL2NWIwXCVyDV3rS/qKN9of1wIauGB+SIm8RgHI1E7WpRC1" +
       "KJEsNlYNdQ\nVGxWrGdbQwvvPFQ1cafehSS5j0PgBqOBEwDbLySPX/ts7zeq" +
       "Gfq69rcwGZyDphNufksuEU7/+mb+\nwms3XzwbAwo4jkyQxgGEWhj8Sjq1Iq" +
       "NGHd4Yscq8Ijk/7tffBLQxqm6PO9TKPeK4AvHac5FnUERz\n0E2Ju2q8f+P7" +
       "52ZOvvxSB2opSolAp6eZbRFcZKr2HuNoUO5RO10gLsWMbonNQHlAsbGI8gVZ" +
       "swEX\n+teHn4pV6HcaijXTOBbNT/hQJFG9LuE11wqanIvubCs52yBmzSWB3j" +
       "f+mfvrQuLRj2QPCrgtECYb\n2ROTDLTRku1WMRMKGq2nF24keyNYaVBE5kAu" +
       "3S/HB1Qqu8T7w6IZHAoXt0AwRan+eSWbeuU+72MI\nwwrqodVqjYuI6qgPM2" +
       "ZvEHOVy+ulv4X90wx7grV9RWxAZyqvMgBS5jhd69ASOnwipA8PXnz92NvX\n" +
       "RKtxmulC0kqk8peT1i60bYr5LHDSEFxo8CAVcEQVo48KN1hyanpJXGCtF8OA" +
       "nN0m++Lu3xqnanzH\nrzT1vdS405TiQ76mMzIVKiM9HaxV3wANW2P500sNQ/" +
       "/HHd2q+FzTRfF8us2wkjJspyiFIdqvV9bq\nmxjO1v8DOCMsw/kKAAA=");
    final private java.lang.String
      _sjprotocol_p_binsend =
      ("H4sIAAAAAAAAAIVVS2wbRRgeP+I2j0LcpqHQPNSSqqoibA485QtR1KppFzXE" +
       "aSXSgzXeHdsTxrvL\nzKxjR6gS4gBckFDLSwJ6QeLSAyqiHEBwAYGQuPRAud" +
       "BLK8SBSnCLEAf+f8bO2puIWtZ6Z+Z/zP99\n3//72j0ypCQpqvWC7oRMmWdQ" +
       "XWeuVgXFlLK75TPnIr3R4IKtwrriEvtJpUnKIdlq4HU0Oe6o9aIx\nL/YFKW" +
       "4HKZbPoHOpLcnx+6ZLpkk7ZMiF/N7L5BLmzIVUMl+bFQQ8GAaiUxeB7oa17g" +
       "vHvjzv/PHt\nbJoQsDm8i805k7ri/vvU1PTNhbvDGYy9NwwU1zzwNTnk9JyK" +
       "keaiuNw9KbXDEL6A3Px9Sykz39sF\ntdEm2NC6AVSTg3EiC5aFCutLQyb8zU" +
       "G2RxI1LEhJOzb49czc3+mvJufSJIuUUMXQaS9AVeNMeEqT\ncWedtqgtxOFK" +
       "lxwywn3NZI26TKH1qEP2NJluBJ5dAmoziYwrrMYAebcrhK2ocGXpxWgKIUaX" +
       "TNhW\nO52WJW8Cbq2u09szn/z++Z2VCauel7jvafJoEoABn7mzYFTqy3Dk/z" +
       "IY6+/mj1y7tHK7asnfv22P\n5RdO+lHzyau/shPPjbn2Fj6Fwsl+C5Ggfr1Y" +
       "1pL7dWBaA5wdzSDrATy1EQzyiGL71ZvTH/xAPwLp\nLJGs4pusHSLJG1l87g" +
       "LGKaRjyVeaAooVd/Ob8x9v/axvm2sMu6A6yn0mNZlJIjIAPbbRVCLyBSrj\n" +
       "uM/80srnPrvaTJM9a2Qc4uKBvkBFxMpMrwH1arG76ZB9A+eDONgeAbFkPeYK" +
       "TaaS9+pLC1ZDNUHr\noLbJpNkp3C91oUYmD8A7HhmdGm6zYTtFjNhnALiJJH" +
       "AYYOu13OO3vh793sDVy/Vgn7KhOOAM3PMx\nWauSYdG/vb98+Z17r1/MgCTC" +
       "0BCU1hCE+xTqyoVRVXC3DW+C+XXdMD3wAMgNf/OaZLgdOPvsziS6\n2yBqJx" +
       "fLAprqdCA8Jivup3d+euXk2TffiKVm6kdpWUkh0IVFEfiMVoXtxXlNJswZDw" +
       "plJjkVfBMP\n4+SxxGYTyZ83PRxrId86/EKmwX9Mk8w2jbNJfgadEkSNSKYj" +
       "6a9u0yXJ0R0tGLjMiySL8773z+m/\nLg89+4WZSbG2McLDPfZwMQ3jsBbIJh" +
       "WYoDeKRnRDBhvxTk8ihgOzNWueRy2VKXw/hsPhocFmxwge\ntuqf10vjbz2m" +
       "bgAMa2SYN5uRRkQdMkaFCDaYV9FmGOf71L8oqELVjlWpC5OqXhEQyF4nTLVg" +
       "JOzy\nr1I4NHHl3RMf3sLRE27TRcwtieXvaXPb0o5DXD8BmnRRCz0djMcasc" +
       "3Y/g/kV7fStwcAAA==");
    final private java.lang.String
      _sjprotocol_p_rftp =
      ("H4sIAAAAAAAAAKVWTWwbRRQe/8VJmlKnTdKKpimlgRK12JEQ0MpIrYmSxs22" +
       "ceMkEuHgjtcTe8J4\nd9kdJ06EKiEOwAUJtfxJ0F6QuPSAioADCIQAgZA40A" +
       "NFSPRShDhQCW4R4sCbmbXXu7HqICJl1jsz\n733v53vv7bU7KObY6JizkuTr" +
       "FnHkahZXiM6dpEMcR+3mzzxJytSYh5eCjtRfKIxQ3UZHOooGpcIa\niukVyk" +
       "ocHdGclZS8l2qRTjWlU0o6raEuC9vE4M+iiygMqIOWydbLzOQutsLIPPDxgv" +
       "b75weVZfvb\n3JmVCAX9n8eGD9zI/NoTQSENdVumQzk1DY72aQ2hVI1Tlsq5" +
       "J+m6ZdUhUMmO3s4RndBVEnQaYHZU\n4RouyyOOBj0k5ap0tC4cDAGUeMYl5H" +
       "hHyNkaL9rY0CttQGM6hqsc7dFW8CpWTk1jp3IWW00wywKY\nfnGeFOdJ9zwW" +
       "//mLL4cu/BBB4SnUy0xcmsI6N+0s6uEVmzgVk5Xq1slTEq1vrRvWBPyHQdku" +
       "sFmq\nyp/RcJEwn0kRhosc7VYGMWyUU3luU6MMMeaoW5s9nT1XmJ3ZVrCzxh" +
       "oQqV2wo0WztK7Y0vBSPHeC\n2tQ21HaIp1DV51M8KPfuaRMNsZ/gKHJ6cr6Z" +
       "VfEckoHvIBXPZfL57OIkmH20o9l5YpQ68E6o7fYZ\nPiyhkGvUQNOouHt+GK" +
       "DvDVRSxrbxukK6Hhn9K/zJ0GgYRUXQITgSAgp2mRJWAuYlWpinUYdDMfdS\n" +
       "gxN7Gesqkg9qKF4lvGKW1CvU7kgAcY4sE6h/3U31Zi15OftUbVgUuhCJyEoJ" +
       "CuVsWoXqbRTjqyPv\n/vbB7bkBxY9nqAEN6HCwCn0yozNwKd2CcOhuCPL2V0" +
       "cPXbs4d6uoWtDu5n1ZDZNGrfro1Z/I2Kk+\nXVlh4KoMWL/gfrS4zgmg7PFK" +
       "UUZaRK3+/I0Db32D34GGlUVRh26QuiUyvBYVaxvnp0T4s4bDgcjg\n/MZnC1" +
       "c2v+e3JGyPDr0OU4PYHI0EI+ALdRqcGA5oXsS2p/f4j6v9Xe9frYZRfAklQK" +
       "844IuY1Uie\n8CVItTPhbmpop+/c3wNUZwZyREtEZxwNB+1qgYVbsWWGy8Cu" +
       "oeC1KbGfbg0t/OY+6keteghJch+H\nwA0EAycUbL7QNX7z0x1fq5p3sXa1MB" +
       "mcg37l75vzNhFO//Jm7tJrd158OgIUsCyZoDAHJdTA4FeX\nVSsyqtfhFyNG" +
       "mVck58fc+jsGjYKqMfeQ2hkX4kqJszUXOQZFNA2NmNgF/b3b3z03OfPyS22o" +
       "pSgl\nAp2cYKZBcJGp2pvkaECeUTOZJzbFjG6IQw/co9jBAPhZWbMeF/pX95" +
       "+PVOi3YRRppvFgMD9+oUCi\nem3Ca7bhdSob3b+l5EydlGo28XDf+Hv6z0ux" +
       "Ex/KHuRxW2h4pJE98fI49MJl065iJgAaracXhpm5\n5u00KCJzILdOyPUJlc" +
       "qQ+H1SNIO9/uIWGkqiVP+4nk688rDzEYRhCfXQarXGRUQ11IcZM9dIqcDl\n" +
       "F0B/C/snGHYEa/uKWIfOVC4wUKTMsUKr0BLafMsk9w1cfn3s7Zui1VjNdCFp" +
       "JVL5Oy+tXdhyKN7P\nASd1wYUGDxIeR1QxulphDHVlJubFFGodDN7g2M5IhW" +
       "+U/zCqFfB9LhKWqVAZ2dvGWvX50By0uYX/\nM2hbgSu+2Xhhi2GGMuxuUfKr" +
       "2DpeeatvYtHrDXW96lNoKpPV3Mu6u/4L0hKZw7YLAAA=");
    final private static int
      CHUNK_SIZE =
      4;
    final private SJProtocol
      p_binsend =
      new sj.runtime.SJProtocol(
      this.
        _sjprotocol_p_binsend);
    final private SJProtocol
      p_binrecv =
      new sj.runtime.SJProtocol(
      this.
        _sjprotocol_p_binrecv);
    final private SJProtocol
      p_control =
      new sj.runtime.SJProtocol(
      this.
        _sjprotocol_p_control);
    final private SJProtocol
      p_rftp =
      new sj.runtime.SJProtocol(
      this.
        _sjprotocol_p_rftp);
    private HashMap
      users =
      new HashMap(
      );
    private String
      rep;
    
    public RFTPServer(int port,
                      String rep)
          throws Exception {
        super();
        populateUsers();
        this.
          rep =
          (rep.
             endsWith(
             "/")
             ? rep
             : rep +
           "/");
        SJServerSocket ss =
          null;
        try {
            ss =
              SJRServerSocket.
                create(
                p_rftp,
                port);
            while (true) {
                SJSocket s_rftp =
                  null;
                {
                    sj.runtime.net.SJSocket _sjtryreturned_0 =
                      null;
                    int _sjspawncount_s_rftp =
                      -1;
                    try {
                        s_rftp =
                          ss.
                            accept();
                        String id =
                          (String)
                            s_rftp.
                              receive();
                        String pwd =
                          (String)
                            s_rftp.
                              receive();
                        if (pwd.
                              equals(
                              (String)
                                users.
                                  get(
                                  id))) {
                            {
                                s_rftp.
                                  outlabel(
                                  "LOGIN_OK");
                                {
                                    this.new ControlThread(
                                      rep,
                                      s_rftp).
                                      _sjstart();
                                    s_rftp.
                                      incrementSpawnCount();
                                    s_rftp =
                                      null;
                                }
                            }
                        } else {
                            {
                                s_rftp.
                                  outlabel(
                                  "LOGIN_FAIL");
                            }
                        }
                    }
                    catch (Exception x) {
                        x.
                          printStackTrace();
                    }
                    finally {
                        if (s_rftp !=
                              null &&
                              s_rftp !=
                              _sjtryreturned_0)
                            s_rftp.
                              close(
                              _sjspawncount_s_rftp);
                    }
                }
            }
        }
        finally {
            if (ss !=
                  null)
                ss.
                  close();
        }
    }
    
    private class ControlThread
    extends SJThread
    {
        private sj.runtime.net.SJSocket
          s_control =
          null;
        private String
          rep;
        
        public ControlThread(String rep,
                             sj.runtime.net.SJSocket s_control) {
            super();
            this.
              rep =
              rep;
            this.
              s_control =
              s_control;
        }
        
        final public java.lang.String
          _sjformal_run_s_control =
          ("H4sIAAAAAAAAAJ1WTWwbRRSerH/SpKnqNGlaSJoQCCpVwC4Sv7IQDVFCnG5U" +
           "E6cRTQ/peHdsTxjv\nLrvjxIlQJcQBuCChlj8J6AWJSw+oCDiAQAgQCIkDPV" +
           "CERC9FiAOV4BYhDryZWXu9ayupiJzZnZk3\n3/v73pu9fBMlPBelvbU033SI" +
           "J0e7uEYM7qU94nlqtTCfszYqlJElmK4aSP11aahLR/GibW5ydFT3\n1jJSOt" +
           "OCkWliZArz4nC27qKju2qLqtF0lDBAv/ksOi90Jh3sEovLGQAedGy2WWY292" +
           "HV8am7Pzmt\n//HFmIYQyAx3kDklVa8a/z40cuTq1G89MYG9x7E9yqltcXRY" +
           "bxzK1Dhlmby/k607DvwgcJlbCFzR\nxZZR6RC5hIFBkqMBfQ2vY6ViDnuVBe" +
           "xk68I3DbSIZxI09QuZtJBJ+zKJ7l++/Gro3I8xpM2iXmZj\ncxYb3HZzqIdX" +
           "XOJVbGbWncdPSI19G3tgTMG/BmD7wWwJVZjXcZGwkFkxhoscHVBGMWyVMwXu" +
           "UqsM\nXnMUe3Jm6ZYIs0gMQtc7EWZvFcRwWW5xdDCIseKJYonvviee3TLY4q" +
           "23gzdivY+j7vxUoZBbngHj\nJnc1rkAscxfLBGx/KAsDAH3vrtBPkDK1otgo" +
           "5A9q+pPyoYcB+vYIQadcF28qoCuxib+1T4cmNBQX\n9QaskdZBHZQoYSZQKN" +
           "VCIZ16PKujXmpx4pawQaSqUR11Vwmv2KaaQkmMRjQukhKBsjL8pG3X0hdz\n" +
           "Z2ojDfNjYH77obxLq1AUjUy/Ovre7x/eWBxUreEZapkc3RVNcejMxEkQyrZo" +
           "GN9Jg5T+enL88vnF\n60VV2Qea8pLSM1at+uCln8mxE32GssLCVRmwfYLA8e" +
           "ImJ6BlIKgnGWkRtfrzV4+89S1+B/pADsU9\nukXqjkjgRlyMHZyfFeHPWR6H" +
           "Cgfntz4//e72D/y6VNtjQAvB1CIuh+BHIhAKteiJIxHkZewGuI/8\ntN6f/O" +
           "BSVUPdKygFuGKDL2NWIwXCVyDV3rS/qKN9of1wIauGB+SIm8RgHI1E7WpRC1" +
           "KJEsNlYNdQ\nVGxWrGdbQwvvPFQ1cafehSS5j0PgBqOBEwDbLySPX/ts7zeq" +
           "Gfq69rcwGZyDphNufksuEU7/+mb+\nwms3XzwbAwo4jkyQxgGEWhj8Sjq1Iq" +
           "NGHd4Yscq8Ijk/7tffBLQxqm6PO9TKPeK4AvHac5FnUERz\n0E2Ju2q8f+P7" +
           "52ZOvvxSB2opSolAp6eZbRFcZKr2HuNoUO5RO10gLsWMbonNQHlAsbGI8gVZ" +
           "swEX\n+teHn4pV6HcaijXTOBbNT/hQJFG9LuE11wqanIvubCs52yBmzSWB3j" +
           "f+mfvrQuLRj2QPCrgtECYb\n2ROTDLTRku1WMRMKGq2nF24keyNYaVBE5kAu" +
           "3S/HB1Qqu8T7w6IZHAoXt0AwRan+eSWbeuU+72MI\nwwrqodVqjYuI6qgPM2" +
           "ZvEHOVy+ulv4X90wx7grV9RWxAZyqvMgBS5jhd69ASOnwipA8PXnz92NvX\n" +
           "RKtxmulC0kqk8peT1i60bYr5LHDSEFxo8CAVcEQVo48KN1hyanpJXGCtF8OA" +
           "nN0m++Lu3xqnanzH\nrzT1vdS405TiQ76mMzIVKiM9HaxV3wANW2P500sNQ/" +
           "/HHd2q+FzTRfF8us2wkjJspyiFIdqvV9bq\nmxjO1v8DOCMsw/kKAAA=");
        
        public void
          run(
          ) {
            {
                sj.runtime.net.SJSocket _sjtryreturned_5 =
                  null;
                int _sjspawncount_s_control =
                  -1;
                try {
                    final java.lang.String _sjprotocol_pa_recvfile =
                      ("H4sIAAAAAAAAAI1VS2wbRRgeP5I2aao6bVIikiYEgqIKanOhorKQCFGrhi4i" +
                       "JG0lwsEa747tCePd\nZWbWsSNUCXEALkio5SUBvSBx6QEVUQ4guLQCIXHpgX" +
                       "KhlyLUQyvBLap64P9nbK+9iSg+jHfnf3/f\nN7OX7pIBJcmTaj2vWyFTZg3K" +
                       "68zVKq+YUnZ39YXnWZX7p+Gl5BL7S6UJaUoy/8DQZFTaIQNujQtP\nk3lHrR" +
                       "eMX6EnutCNLtjookMGQyqZr18n50gaqo6HgWhVRaDbtW2Nhce/PePc/nHGdj" +
                       "a5g89LpkLJ\nvX906tD1hT+HMiTlkN1hoLjmga/JhNMJKkSai8Jy21JshmET" +
                       "gMo/cNolfwNmY8mhoUy2HHgtOwCu\nqRBy/q+UK8xlvLFTyj11cKNVY9JkPG" +
                       "7eomew6xbD/91Q8OEELgtS0pZNfjkz90/6u4NzaZLFfqli\nGDQM8Fc4E57S" +
                       "JOes0wa14DhcaaBmmPuayQp1mULvvQ7ZVWe6Fnj2FZiYTlRcYRUGbLrtkbai" +
                       "/IWl\nV6IppA1DMgbqZNCy5HXgooPD+9Nf/PX1rZUxC+1r3Ac5PZYEoC9m7h" +
                       "Q4FXsqzP5XBeN99YnZS+dW\nbpatoPZ3/XH8/HE/qj998Xd2+LkR13bhUxic" +
                       "7LcQCepXC6tacr8K6tEAZ0szqHoArTaDQR5RbL55\n/dAnP9HPQI5LJKv4Jm" +
                       "uGSPJGFtcdwDiBdCz5SlNAseRu/nDm861f9U3TxpALSqbcZ1KT6SQifdAX\n" +
                       "YaipROazVMZ5n/mtMTr41cV6muxaIznIiwZ9loqIrTK9BtSrxfamQ/b22ftx" +
                       "sOcOxJL1mCs0mUr2\n1VMWvAYqglZBbQeTbidwv9iGGpkch2c0GZ0abrNhM0" +
                       "WM2B8B4MaSwGGCrbcGn7rx/Z5rBq5OrX09\nyobhgDMIH43JOi0ZDv3Hx8vn" +
                       "P7j79qsZkEQYGoLSGpJwn8Jcg2FUFtxtwpNgflXXzBnIgdzw/4Am\nGW4vsX" +
                       "12ZwLDbRK1nYtlAYfqZCA8Jkvul7d+eeP4qXffiaVm5kdpWUkh0PlFEfiMlo" +
                       "U9i0c0GTM2\nHuRXmeRU8E00xsVjic0kir9oznCshdHG5MuZGv85TTJdGmeS" +
                       "/PQHJYgalkxH0nxFLF2SPLrtCAYu\n8yLJ4rof3Tv59/mBY9+YOynWNmaY7L" +
                       "CHLzNwHVYCWacCC3SuomFdk8FGvNORiOHAbM2adc5SmcLn\nebwcHuo/7JjB" +
                       "w6N653Ix994RdQVgWCNDvF6PNCLqkBEqRLDBvJI2l/Foj/oXBVWo2pEydeGm" +
                       "qpYE\nJLLthKkGXAk7fKnyE2MXPjz86Q28esIuXcR0SSx/x0y3z24z4vtR0K" +
                       "SLWujoIBdrxB7GZvgvbEg9\nRP0HAAA=");
                    final java.lang.String _sjprotocol_pa_sendfile =
                      ("H4sIAAAAAAAAAIVVTWwbRRQe/yRt0lR12qREJE0IBEVVqc2FispCIkStGrqo" +
                       "IW4rEQ7WeHdsTxjv\nLjOzjh2hSogDcEFCLX8S0AsSlx5QEXAAwQUEQuLSA+" +
                       "VCL0WIA5XgFiEOvDdje+1NRHwY7868n3nf\n9723N+6RISXJI2ojr9shU2YN" +
                       "KhvM1SqvmFJ2t/T0U6zG/YvwUnaJ/aXShLQkWdzTNemVdsiQW+fC\n02TRUR" +
                       "sFY1fo8y70vAvWu+iQ4ZBK5usXyRWShqyTYSDaNRHoTm6bY+nhLy45f3wzZ2" +
                       "82vYvNBZOh\n7P57aubYraXfRjIk5ZD9YaC45oGvyZTTdSpEmovCauek2ArD" +
                       "FgBV2LPaC5HehOJYsmrIk60EXttW\ngGsqhKAQ88SeMUvM93aJd6ABNrRmUm" +
                       "kyGV/dYmeQ62XC//2Q7f4EKktS0rYNfjOz8Hf6y6MLaZLF\ny1LF0GkUwK9y" +
                       "JjylSc7ZoE1qoXG40kDMKPc1k1XqMoXWBx2yr8F0PfDsK/Awm8i4xqoMuHQ7" +
                       "EG1H\n+Wsrz0UzSBq6ZAzQSadVyRvARLPj9ObsR79/endtwuL6AvdBTA8lAR" +
                       "jwWTgPRsW+DPP/l8FYf3ti\n/saVtTsVK6fDPXssP3/GjxqPXf+FHX9yzLW3" +
                       "8CkUTg5biAT1a4WSltyvgXY0wNnWDLIewVMbwSCP\nKLZevnXsve/pByDGFZ" +
                       "JVfIu1QiR5M4vrLmCcRTpWfKUpoFh2t76+9OH2T/qOucaICzqm3GdSk9kk\n" +
                       "IgPQF6GomUTky1TGcR//uTk+/Mn1RprsWyc5iIsH+jIVESsxvQ7Uq+XOpkMO" +
                       "DpwP4mC7DsSS9Zgr\nNJlJ3qsvLVgNVQWtgdqOJs3O4n6xAzUyOQnPeGR0ar" +
                       "jNhq0UMWJ/AICbSAKHAbZfGX709lcHvjNw\ndXMd6lM2FAecgft4TNZFybDo" +
                       "X99dvfrWvVefz4AkwtAQlNYQhPsU6hoOo4rgbgueBPNrum56IAdy\nw/8jmm" +
                       "S4HWGH7M4UutsgaicXqwKa6lwgPCbL7sd3f3zpzPnXX4ulZupHaVlJIdD5ZR" +
                       "H4jFaE7cWT\nmkyYMx7kS0xyKvgWHsbJY4nNJZI/Y3o41sJ4c/rZTJ3/kCaZ" +
                       "Ho1zSX4GnRJEjUqmI2m+IZYuSR7c\n0YKBy7xIsjjvO/+c++vq0OnPzEyKtY" +
                       "0Rprvs4cscjMNqIBtUYILuKBrVdRlsxjtdiRgOzNa8WRcs\nlSl8XsThcN9g" +
                       "s2MED1v1z5vF3Bsn1ecAwzoZ4Y1GpBFRh4xRIYJN5pW1GcbjfepfFlShascq" +
                       "1IVJ\nVSsLCGSvE6aaMBJ2+U7lpyauvX38/ds4esIeXcTcklj+TpvbPrHjEN" +
                       "9PgSZd1EJXB7lYI7YZW+F/\ngZfgo/sHAAA=");
                    final java.lang.String _sjprotocol_pp_recvfile =
                      ("H4sIAAAAAAAAAI1VS2wbRRgeP5I2aao6bVIikiYEgqIKanOhorKQCFGrhi4i" +
                       "JG0lwsEa747tCePd\nZWbWsSNUCXEALkio5SUBvSBx6QEVUQ4guLQCIXHpgX" +
                       "KhlyLUQyvBLap64P9nbK+9iSg+jHfnf3/f\nN7OX7pIBJcmTaj2vWyFTZg3K" +
                       "68zVKq+YUnZ39YXnWZX7p+Gl5BL7S6UJaUoy/8DQZFTaIQNujQtP\nk3lHrR" +
                       "eMX6EnutCNLtjookMGQyqZr18n50gaqo6HgWhVRaDbtW2Nhce/PePc/nHGdj" +
                       "a5g89LpkLJ\nvX906tD1hT+HMiTlkN1hoLjmga/JhNMJKkSai8Jy21JshmET" +
                       "gMo/cNolfwNmY8mhoUy2HHgtOwCu\nqRBy/q+UK8xlvLFTyj11cKNVY9JkPG" +
                       "7eomew6xbD/91Q8OEELgtS0pZNfjkz90/6u4NzaZLFfqli\nGDQM8Fc4E57S" +
                       "JOes0wa14DhcaaBmmPuayQp1mULvvQ7ZVWe6Fnj2FZiYTlRcYRUGbLrtkbai" +
                       "/IWl\nV6IppA1DMgbqZNCy5HXgooPD+9Nf/PX1rZUxC+1r3Ac5PZYEoC9m7h" +
                       "Q4FXsqzP5XBeN99YnZS+dW\nbpatoPZ3/XH8/HE/qj998Xd2+LkR13bhUxic" +
                       "7LcQCepXC6tacr8K6tEAZ0szqHoArTaDQR5RbL55\n/dAnP9HPQI5LJKv4Jm" +
                       "uGSPJGFtcdwDiBdCz5SlNAseRu/nDm861f9U3TxpALSqbcZ1KT6SQifdAX\n" +
                       "YaipROazVMZ5n/mtMTr41cV6muxaIznIiwZ9loqIrTK9BtSrxfamQ/b22ftx" +
                       "sOcOxJL1mCs0mUr2\n1VMWvAYqglZBbQeTbidwv9iGGpkch2c0GZ0abrNhM0" +
                       "WM2B8B4MaSwGGCrbcGn7rx/Z5rBq5OrX09\nyobhgDMIH43JOi0ZDv3Hx8vn" +
                       "P7j79qsZkEQYGoLSGpJwn8Jcg2FUFtxtwpNgflXXzBnIgdzw/4Am\nGW4vsX" +
                       "12ZwLDbRK1nYtlAYfqZCA8Jkvul7d+eeP4qXffiaVm5kdpWUkh0PlFEfiMlo" +
                       "U9i0c0GTM2\nHuRXmeRU8E00xsVjic0kir9oznCshdHG5MuZGv85TTJdGmeS" +
                       "/PQHJYgalkxH0nxFLF2SPLrtCAYu\n8yLJ4rof3Tv59/mBY9+YOynWNmaY7L" +
                       "CHLzNwHVYCWacCC3SuomFdk8FGvNORiOHAbM2adc5SmcLn\nebwcHuo/7JjB" +
                       "w6N653Ix994RdQVgWCNDvF6PNCLqkBEqRLDBvJI2l/Foj/oXBVWo2pEydeGm" +
                       "qpYE\nJLLthKkGXAk7fKnyE2MXPjz86Q28esIuXcR0SSx/x0y3z24z4vtR0K" +
                       "SLWujoIBdrxB7GZvgvbEg9\nRP0HAAA=");
                    final java.lang.String _sjprotocol_pp_sendfile =
                      ("H4sIAAAAAAAAAIVVTWwbRRQe/yRt0lR12qREJE0IBEVVqc2FispCIkStGrqo" +
                       "IW4rEQ7WeHdsTxjv\nLjOzjh2hSogDcEFCLX8S0AsSlx5QEXAAwQUEQuLSA+" +
                       "VCL0WIA5XgFiEOvDdje+1NRHwY7868n3nf\n9723N+6RISXJI2ojr9shU2YN" +
                       "KhvM1SqvmFJ2t/T0U6zG/YvwUnaJ/aXShLQkWdzTNemVdsiQW+fC\n02TRUR" +
                       "sFY1fo8y70vAvWu+iQ4ZBK5usXyRWShqyTYSDaNRHoTm6bY+nhLy45f3wzZ2" +
                       "82vYvNBZOh\n7P57aubYraXfRjIk5ZD9YaC45oGvyZTTdSpEmovCauek2ArD" +
                       "FgBV2LPaC5HehOJYsmrIk60EXttW\ngGsqhKAQ88SeMUvM93aJd6ABNrRmUm" +
                       "kyGV/dYmeQ62XC//2Q7f4EKktS0rYNfjOz8Hf6y6MLaZLF\ny1LF0GkUwK9y" +
                       "JjylSc7ZoE1qoXG40kDMKPc1k1XqMoXWBx2yr8F0PfDsK/Awm8i4xqoMuHQ7" +
                       "EG1H\n+Wsrz0UzSBq6ZAzQSadVyRvARLPj9ObsR79/endtwuL6AvdBTA8lAR" +
                       "jwWTgPRsW+DPP/l8FYf3ti\n/saVtTsVK6fDPXssP3/GjxqPXf+FHX9yzLW3" +
                       "8CkUTg5biAT1a4WSltyvgXY0wNnWDLIewVMbwSCP\nKLZevnXsve/pByDGFZ" +
                       "JVfIu1QiR5M4vrLmCcRTpWfKUpoFh2t76+9OH2T/qOucaICzqm3GdSk9kk\n" +
                       "IgPQF6GomUTky1TGcR//uTk+/Mn1RprsWyc5iIsH+jIVESsxvQ7Uq+XOpkMO" +
                       "DpwP4mC7DsSS9Zgr\nNJlJ3qsvLVgNVQWtgdqOJs3O4n6xAzUyOQnPeGR0ar" +
                       "jNhq0UMWJ/AICbSAKHAbZfGX709lcHvjNw\ndXMd6lM2FAecgft4TNZFybDo" +
                       "X99dvfrWvVefz4AkwtAQlNYQhPsU6hoOo4rgbgueBPNrum56IAdy\nw/8jmm" +
                       "S4HWGH7M4UutsgaicXqwKa6lwgPCbL7sd3f3zpzPnXX4ulZupHaVlJIdD5ZR" +
                       "H4jFaE7cWT\nmkyYMx7kS0xyKvgWHsbJY4nNJZI/Y3o41sJ4c/rZTJ3/kCaZ" +
                       "Ho1zSX4GnRJEjUqmI2m+IZYuSR7c\n0YKBy7xIsjjvO/+c++vq0OnPzEyKtY" +
                       "0Rprvs4cscjMNqIBtUYILuKBrVdRlsxjtdiRgOzNa8WRcs\nlSl8XsThcN9g" +
                       "s2MED1v1z5vF3Bsn1ecAwzoZ4Y1GpBFRh4xRIYJN5pW1GcbjfepfFlShascq" +
                       "1IVJ\nVSsLCGSvE6aaMBJ2+U7lpyauvX38/ds4esIeXcTcklj+TpvbPrHjEN" +
                       "9PgSZd1EJXB7lYI7YZW+F/\ngZfgo/sHAAA=");
                    final SJProtocol pa_sendfile =
                      new sj.runtime.SJProtocol(
                      _sjprotocol_pa_sendfile);
                    final SJProtocol pa_recvfile =
                      new sj.runtime.SJProtocol(
                      _sjprotocol_pa_recvfile);
                    final SJProtocol pp_sendfile =
                      new sj.runtime.SJProtocol(
                      _sjprotocol_pp_sendfile);
                    final SJProtocol pp_recvfile =
                      new sj.runtime.SJProtocol(
                      _sjprotocol_pp_recvfile);
                    while (s_control.
                             insync()) {
                        {
                            java.lang.String _sjbranch_2 =
                              s_control.
                                inlabel();
                            if (_sjbranch_2.
                                  equals(
                                  "GET")) {
                                              String filename =
                                                rep +
                                              (String)
                                                s_control.
                                                  receive();
                                              {
                                                  java.lang.String _sjbranch_0 =
                                                    s_control.
                                                      inlabel();
                                                  if (_sjbranch_0.
                                                        equals(
                                                        "ACTIVE")) {
                                                                       System.
                                                                         out.
                                                                         println(
                                                                         "GET ACTIVE: " +
                                                                         filename);
                                                                       SJServerAddress c_active1 =
                                                                         s_control.
                                                                           receiveServerAddress(
                                                                           ("H4sIAAAAAAAAAIVVTWwbRRQe/yRt0lR12qREJE0IBEVVqc2FispCIkStGrqo" +
                                                                            "IW4rEQ7WeHdsTxjv\nLjOzjh2hSogDcEFCLX8S0AsSlx5QEXAAwQUEQuLSA+" +
                                                                            "VCL0WIA5XgFiEOvDdje+1NRHwY7868n3nf\n9723N+6RISXJI2ojr9shU2YN" +
                                                                            "KhvM1SqvmFJ2t/T0U6zG/YvwUnaJ/aXShLQkWdzTNemVdsiQW+fC\n02TRUR" +
                                                                            "sFY1fo8y70vAvWu+iQ4ZBK5usXyRWShqyTYSDaNRHoTm6bY+nhLy45f3wzZ2" +
                                                                            "82vYvNBZOh\n7P57aubYraXfRjIk5ZD9YaC45oGvyZTTdSpEmovCauek2ArD" +
                                                                            "FgBV2LPaC5HehOJYsmrIk60EXttW\ngGsqhKAQ88SeMUvM93aJd6ABNrRmUm" +
                                                                            "kyGV/dYmeQ62XC//2Q7f4EKktS0rYNfjOz8Hf6y6MLaZLF\ny1LF0GkUwK9y" +
                                                                            "JjylSc7ZoE1qoXG40kDMKPc1k1XqMoXWBx2yr8F0PfDsK/Awm8i4xqoMuHQ7" +
                                                                            "EG1H\n+Wsrz0UzSBq6ZAzQSadVyRvARLPj9ObsR79/endtwuL6AvdBTA8lAR" +
                                                                            "jwWTgPRsW+DPP/l8FYf3ti\n/saVtTsVK6fDPXssP3/GjxqPXf+FHX9yzLW3" +
                                                                            "8CkUTg5biAT1a4WSltyvgXY0wNnWDLIewVMbwSCP\nKLZevnXsve/pByDGFZ" +
                                                                            "JVfIu1QiR5M4vrLmCcRTpWfKUpoFh2t76+9OH2T/qOucaICzqm3GdSk9kk\n" +
                                                                            "IgPQF6GomUTky1TGcR//uTk+/Mn1RprsWyc5iIsH+jIVESsxvQ7Uq+XOpkMO" +
                                                                            "DpwP4mC7DsSS9Zgr\nNJlJ3qsvLVgNVQWtgdqOJs3O4n6xAzUyOQnPeGR0ar" +
                                                                            "jNhq0UMWJ/AICbSAKHAbZfGX709lcHvjNw\ndXMd6lM2FAecgft4TNZFybDo" +
                                                                            "X99dvfrWvVefz4AkwtAQlNYQhPsU6hoOo4rgbgueBPNrum56IAdy\nw/8jmm" +
                                                                            "S4HWGH7M4UutsgaicXqwKa6lwgPCbL7sd3f3zpzPnXX4ulZupHaVlJIdD5ZR" +
                                                                            "H4jFaE7cWT\nmkyYMx7kS0xyKvgWHsbJY4nNJZI/Y3o41sJ4c/rZTJ3/kCaZ" +
                                                                            "Ho1zSX4GnRJEjUqmI2m+IZYuSR7c\n0YKBy7xIsjjvO/+c++vq0OnPzEyKtY" +
                                                                            "0Rprvs4cscjMNqIBtUYILuKBrVdRlsxjtdiRgOzNa8WRcs\nlSl8XsThcN9g" +
                                                                            "s2MED1v1z5vF3Bsn1ecAwzoZ4Y1GpBFRh4xRIYJN5pW1GcbjfepfFlShascq" +
                                                                            "1IVJ\nVSsLCGSvE6aaMBJ2+U7lpyauvX38/ds4esIeXcTcklj+TpvbPrHjEN" +
                                                                            "9PgSZd1EJXB7lYI7YZW+F/\ngZfgo/sHAAA="));
                                                                       SJSocket sa_sendfile =
                                                                         SJRSocket.
                                                                           create(
                                                                           c_active1);
                                                                       {
                                                                           sj.runtime.net.SJSocket _sjtryreturned_1 =
                                                                             null;
                                                                           int _sjspawncount_sa_sendfile =
                                                                             -1;
                                                                           try {
                                                                               sa_sendfile.
                                                                                 request();
                                                                               {
                                                                                   this.new BinarySendThread(
                                                                                     filename,
                                                                                     sa_sendfile).
                                                                                     _sjstart();
                                                                                   sa_sendfile.
                                                                                     incrementSpawnCount();
                                                                                   sa_sendfile =
                                                                                     null;
                                                                               }
                                                                           }
                                                                           finally {
                                                                               if (sa_sendfile !=
                                                                                     null &&
                                                                                     sa_sendfile !=
                                                                                     _sjtryreturned_1)
                                                                                   sa_sendfile.
                                                                                     close(
                                                                                     _sjspawncount_sa_sendfile);
                                                                           }
                                                                       }
                                                                   } else {
                                                      {
                                                          System.
                                                            out.
                                                            println(
                                                            "GET PASSIVE: " +
                                                            filename);
                                                          String host =
                                                            s_control.
                                                              getLocalAddress().
                                                              getHostName();
                                                          int v =
                                                            SJRuntimeUtils.
                                                              findFreeTCPPort();
                                                          SJServerAddress c_passive1 =
                                                            SJServerAddress.
                                                              create(
                                                              pp_recvfile,
                                                              host,
                                                              v);
                                                          SJServerSocket ss_passive =
                                                            SJRServerSocket.
                                                              create(
                                                              pp_sendfile,
                                                              v);
                                                          s_control.
                                                            sendServerAddress(
                                                            c_passive1);
                                                          SJSocket sp_sendfile =
                                                            null;
                                                          {
                                                              sj.runtime.net.SJSocket _sjtryreturned_2 =
                                                                null;
                                                              int _sjspawncount_sp_sendfile =
                                                                -1;
                                                              try {
                                                                  sp_sendfile =
                                                                    ss_passive.
                                                                      accept();
                                                                  {
                                                                      this.new BinarySendThread(
                                                                        filename,
                                                                        sp_sendfile).
                                                                        _sjstart();
                                                                      sp_sendfile.
                                                                        incrementSpawnCount();
                                                                      sp_sendfile =
                                                                        null;
                                                                  }
                                                              }
                                                              finally {
                                                                  if (ss_passive !=
                                                                        null)
                                                                      ss_passive.
                                                                        close();
                                                                  if (sp_sendfile !=
                                                                        null &&
                                                                        sp_sendfile !=
                                                                        _sjtryreturned_2)
                                                                      sp_sendfile.
                                                                        close(
                                                                        _sjspawncount_sp_sendfile);
                                                              }
                                                          }
                                                      }
                                                  }
                                              }
                                          } else {
                                {
                                    String filename =
                                      rep +
                                    (String)
                                      s_control.
                                        receive();
                                    {
                                        java.lang.String _sjbranch_1 =
                                          s_control.
                                            inlabel();
                                        if (_sjbranch_1.
                                              equals(
                                              "ACTIVE")) {
                                                             System.
                                                               out.
                                                               println(
                                                               "PUT ACTIVE: " +
                                                               filename);
                                                             SJServerAddress c_active2 =
                                                               s_control.
                                                                 receiveServerAddress(
                                                                 ("H4sIAAAAAAAAAI1VS2wbRRgeP5I2aao6bVIikiYEgqIKanOhorKQCFGrhi4i" +
                                                                  "JG0lwsEa747tCePd\nZWbWsSNUCXEALkio5SUBvSBx6QEVUQ4guLQCIXHpgX" +
                                                                  "KhlyLUQyvBLap64P9nbK+9iSg+jHfnf3/f\nN7OX7pIBJcmTaj2vWyFTZg3K" +
                                                                  "68zVKq+YUnZ39YXnWZX7p+Gl5BL7S6UJaUoy/8DQZFTaIQNujQtP\nk3lHrR" +
                                                                  "eMX6EnutCNLtjookMGQyqZr18n50gaqo6HgWhVRaDbtW2Nhce/PePc/nHGdj" +
                                                                  "a5g89LpkLJ\nvX906tD1hT+HMiTlkN1hoLjmga/JhNMJKkSai8Jy21JshmET" +
                                                                  "gMo/cNolfwNmY8mhoUy2HHgtOwCu\nqRBy/q+UK8xlvLFTyj11cKNVY9JkPG" +
                                                                  "7eomew6xbD/91Q8OEELgtS0pZNfjkz90/6u4NzaZLFfqli\nGDQM8Fc4E57S" +
                                                                  "JOes0wa14DhcaaBmmPuayQp1mULvvQ7ZVWe6Fnj2FZiYTlRcYRUGbLrtkbai" +
                                                                  "/IWl\nV6IppA1DMgbqZNCy5HXgooPD+9Nf/PX1rZUxC+1r3Ac5PZYEoC9m7h" +
                                                                  "Q4FXsqzP5XBeN99YnZS+dW\nbpatoPZ3/XH8/HE/qj998Xd2+LkR13bhUxic" +
                                                                  "7LcQCepXC6tacr8K6tEAZ0szqHoArTaDQR5RbL55\n/dAnP9HPQI5LJKv4Jm" +
                                                                  "uGSPJGFtcdwDiBdCz5SlNAseRu/nDm861f9U3TxpALSqbcZ1KT6SQifdAX\n" +
                                                                  "YaipROazVMZ5n/mtMTr41cV6muxaIznIiwZ9loqIrTK9BtSrxfamQ/b22ftx" +
                                                                  "sOcOxJL1mCs0mUr2\n1VMWvAYqglZBbQeTbidwv9iGGpkch2c0GZ0abrNhM0" +
                                                                  "WM2B8B4MaSwGGCrbcGn7rx/Z5rBq5OrX09\nyobhgDMIH43JOi0ZDv3Hx8vn" +
                                                                  "P7j79qsZkEQYGoLSGpJwn8Jcg2FUFtxtwpNgflXXzBnIgdzw/4Am\nGW4vsX" +
                                                                  "12ZwLDbRK1nYtlAYfqZCA8Jkvul7d+eeP4qXffiaVm5kdpWUkh0PlFEfiMlo" +
                                                                  "U9i0c0GTM2\nHuRXmeRU8E00xsVjic0kir9oznCshdHG5MuZGv85TTJdGmeS" +
                                                                  "/PQHJYgalkxH0nxFLF2SPLrtCAYu\n8yLJ4rof3Tv59/mBY9+YOynWNmaY7L" +
                                                                  "CHLzNwHVYCWacCC3SuomFdk8FGvNORiOHAbM2adc5SmcLn\nebwcHuo/7JjB" +
                                                                  "w6N653Ix994RdQVgWCNDvF6PNCLqkBEqRLDBvJI2l/Foj/oXBVWo2pEydeGm" +
                                                                  "qpYE\nJLLthKkGXAk7fKnyE2MXPjz86Q28esIuXcR0SSx/x0y3z24z4vtR0K" +
                                                                  "SLWujoIBdrxB7GZvgvbEg9\nRP0HAAA="));
                                                             SJSocket sa_recvfile =
                                                               SJRSocket.
                                                                 create(
                                                                 c_active2);
                                                             {
                                                                 sj.runtime.net.SJSocket _sjtryreturned_3 =
                                                                   null;
                                                                 int _sjspawncount_sa_recvfile =
                                                                   -1;
                                                                 try {
                                                                     sa_recvfile.
                                                                       request();
                                                                     {
                                                                         this.new BinaryReceiveThread(
                                                                           filename,
                                                                           sa_recvfile).
                                                                           _sjstart();
                                                                         sa_recvfile.
                                                                           incrementSpawnCount();
                                                                         sa_recvfile =
                                                                           null;
                                                                     }
                                                                 }
                                                                 finally {
                                                                     if (sa_recvfile !=
                                                                           null &&
                                                                           sa_recvfile !=
                                                                           _sjtryreturned_3)
                                                                         sa_recvfile.
                                                                           close(
                                                                           _sjspawncount_sa_recvfile);
                                                                 }
                                                             }
                                                         } else {
                                            {
                                                System.
                                                  out.
                                                  println(
                                                  "PUT PASSIVE: " +
                                                  filename);
                                                String host =
                                                  s_control.
                                                    getLocalAddress().
                                                    getHostName();
                                                int v =
                                                  SJRuntimeUtils.
                                                    findFreeTCPPort();
                                                SJServerAddress c_passive2 =
                                                  SJServerAddress.
                                                    create(
                                                    pp_sendfile,
                                                    host,
                                                    v);
                                                SJServerSocket ss_passive =
                                                  SJRServerSocket.
                                                    create(
                                                    pp_recvfile,
                                                    v);
                                                s_control.
                                                  sendServerAddress(
                                                  c_passive2);
                                                SJSocket sp_recvfile =
                                                  null;
                                                {
                                                    sj.runtime.net.SJSocket _sjtryreturned_4 =
                                                      null;
                                                    int _sjspawncount_sp_recvfile =
                                                      -1;
                                                    try {
                                                        sp_recvfile =
                                                          ss_passive.
                                                            accept();
                                                        {
                                                            this.new BinaryReceiveThread(
                                                              filename,
                                                              sp_recvfile).
                                                              _sjstart();
                                                            sp_recvfile.
                                                              incrementSpawnCount();
                                                            sp_recvfile =
                                                              null;
                                                        }
                                                    }
                                                    finally {
                                                        if (ss_passive !=
                                                              null)
                                                            ss_passive.
                                                              close();
                                                        if (sp_recvfile !=
                                                              null &&
                                                              sp_recvfile !=
                                                              _sjtryreturned_4)
                                                            sp_recvfile.
                                                              close(
                                                              _sjspawncount_sp_recvfile);
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                catch (java.lang.Exception _sjx) {
                    
                }
                finally {
                    if (s_control !=
                          null &&
                          s_control !=
                          _sjtryreturned_5)
                        s_control.
                          close(
                          _sjspawncount_s_control);
                }
            }
        }
        
        private class BinaryReceiveThread
        extends SJThread
        {
            private sj.runtime.net.SJSocket
              s =
              null;
            private String
              filename;
            
            public BinaryReceiveThread(String filename,
                                       sj.runtime.net.SJSocket s) {
                super();
                this.
                  filename =
                  filename;
                this.
                  s =
                  s;
            }
            
            final public java.lang.String
              _sjformal_run_s =
              ("H4sIAAAAAAAAAI1VS2wbRRgerx23eRTiNg2F5qGWVFVVYXPgKV+IolZNu4gQ" +
               "p5UIB2u8O7YnjHeX\nmbFjR6gS4gBckFDLSwJ6QeLSAyoCDiB6KQIhcemBcq" +
               "GXIsSBSnCLEAf+f8b22psIsKz1zvyv+b/v\n+8dX75IRJUlebeR1J2LKPMPK" +
               "BvO0yiumlN0tnV0ONutcsDVYlj1iPymHpFySqYR+R5PjrtooGO/C\nQI5CP0" +
               "ehdBaDi21Jjv9ntWQZxyUjHtT3XyQXsWY2opIF2qwg4cEoFJ2aCHU3rQ1fPP" +
               "bFefe36/MO\nIeBzeBefZ0zpsvf3YzOzNxd/GU1j7r1RqLjmYaDJIbcXVGhq" +
               "LgorXUuxHUXw/V/ArTKP8dZuwI03\nwI3WjEmTg3Eti5dFC1t0oBj+ZqHgA4" +
               "k2FqWkHZv8WnrhT+fL6QWHZJAVqhgG7QW0qpwJX2ky6W7Q\nFrW9uFzpokvG" +
               "eKCZrFKPKfQed8meBtP10LdLAG4uUXGVVRmA73Vb2m7mLy8/15xBlDEkHbXV" +
               "zqAV\nyRsAXQ+HN+c++vXTO6tTVkAv8MDX5MEkAEMxC+fAqThQ4ci/VTDeN0" +
               "4euXpx9XbF8r+/74/t508F\nzcajV35iJ56a8OwpAgqNk/0WIkGDWqGkJQ9q" +
               "QLYGODuaQdUDaLUZDPKIYvvlm7PvfUs/APUsk4zi\nW6wdIcmbGXzuAsZppG" +
               "M5UJoCimVv6+vzH27/oG+bY4x6IDzKAyY1mUsiMgQ9TtJMIvMFKuO8T/zY\n" +
               "ymU/udJwyJ51Mgl50aAvUNFkJabXgXq11N10yb4h+zAOdkxALBmfeUKTmeS5" +
               "BsqC10hV0BqobTrp\ndhr3i12okckD8I4mo1PDbSZqp4gR+xwAN5UEDhNsv5" +
               "J9+NZX498YuHq17h1QNjQHnEF4LiZrTTJs\n+ud3Vy69dffV59MgiSgyBDka" +
               "kvCAQl/ZqFkR3GvDm2BBTdfNDNwDcsPfnCZpbu+cfXZnGsNtErWT\nixUBQ3" +
               "UmFD6TZe/jO9+/dOrc66/FUjP9o7SspBDo/JIIA0Yrws7iSU2mjI2H+RKTnA" +
               "q+hca4eCyx\n+UTxp80Mx1rItQ4/m67z7xyS7tM4n+RnOChB1JhkuimDtT5d" +
               "khzdMYKhx/ymZHHdd/4688elkSc/\nM3dSrG3McH+PPVzMwnVYDWWDCizQu4" +
               "rGdF2Gm/FOTyKGA7M1b55HLZUpfD+Gl8N9w8OOGXwc1d+v\nFSffeEh9DjCs" +
               "k1HeaDQ1IuqSCSpEuMn8sjaXcW5A/UuCKlTtRIV6cFPVygIS2eNEqRZcCbv8" +
               "seQP\nTV1++8T7t/Dqifp0EXNKYvl73Jy2uMOI60dAkx5qoaeDyVgjdhjb/w" +
               "CVNBYHuQcAAA==");
            
            public void
              run(
              ) {
                {
                    sj.runtime.net.SJSocket _sjtryreturned_6 =
                      null;
                    int _sjspawncount_s =
                      -1;
                    try {
                        byte[] filebytes =
                          new byte[0];
                        while (s.
                                 insync()) {
                            byte[] bytes =
                              (byte[])
                                s.
                                  receive();
                            byte[] tmp =
                              new byte[filebytes.
                                         length +
                                         bytes.
                                           length];
                            System.
                              arraycopy(
                              filebytes,
                              0,
                              tmp,
                              0,
                              filebytes.
                                length);
                            System.
                              arraycopy(
                              bytes,
                              0,
                              tmp,
                              filebytes.
                                length,
                              bytes.
                                length);
                            filebytes =
                              tmp;
                        }
                        writeFile(
                          filename,
                          filebytes);
                    }
                    catch (java.lang.Exception _sjx) {
                        
                    }
                    finally {
                        if (s !=
                              null &&
                              s !=
                              _sjtryreturned_6)
                            s.
                              close(
                              _sjspawncount_s);
                    }
                }
            }
            
            final public static String
              jlc$CompilerVersion$jl =
              "2.2.3";
            final public static long
              jlc$SourceLastModified$jl =
              1213297808529L;
            final public static String
              jlc$ClassType$jl =
              ("H4sIAAAAAAAAAIVWW2xURRie3W23t8V2W27pnVISkHCqDxJxXywNDS1LWHcL" +
               "ylqyzJ4z20579pzj\nnDnbLSrRmAjyYGLAW6LwYkJieDAS9cWoCXjXxPQBfI" +
               "HEYIzRQiTESAxG/5lz9na6YJMzO535b/P/\n3385dx012gwNWqa+OKObXOGL" +
               "FrGVBGY20cZ0bNtTcJBRH9l4Z+G7Y5M9IdSeRu3USHHMqTpmGpwU\neRpF8i" +
               "SfJcwe1TSipVHUIERLEUaxTo8AoWmkUadNZwzMHUbsJLFNvSAIO23HIkzqLB" +
               "3GUUQ1DZsz\nR+UmsznqiM/hAh5xONVH4tTmsTgK5yjRNfspdBQF4qgxp+MZ" +
               "IFwbL71iREocGRfnQN5KwUyWwyop\nsTTMU0PjaMDPUX7x8B4gANamPOGzZl" +
               "lVg4HhAHW6JunYmBlJcUaNGSBtNB3QwlH3XYUCUbOF1Xk8\nQzIcrffTJdwr" +
               "oGqRbhEsHK3xk0lJRYa6fTGrita+cOSfE4m/BoPSZo2ourC/EZj6fUxJkiOM" +
               "GCpx\nGW87yqmJg05vECEgXuMjdmlGN320P/7rpwMuTU8dmn3ZOaLyjHpne2" +
               "/f0ujPLSFhRrNl2lRAoebl\nMqoJ7yZWtACLa8sSxaVSuvws+cXB594lvwdR" +
               "8wQKq6bu5I0J1EIMbczbN8E+Tg3inu7L5WzCJ1CD\nLo/Cpvwf3JGjOhHuaI" +
               "C9hfms3BcthFArfCGEAg3I/ftNLBytSo5PJQDNBcIUe46jIUWZtuemObG5\n" +
               "PW0zdZrluDVdQ1QUQlctBALwnl5/bukAxN2mrhGWUc9e++aZXXteOh4so8sz" +
               "h6MHhVilInZYZBsz\n9alZRrA2vJMamC0miUpogbhnKBCQGtfVelCERBOZs/" +
               "x+rOPlbfaHQRRKoxaazzscZ3UCGYd13Vwg\nWoZLyEWr4C1RBZCMZAGdAPSM" +
               "DoJkNoDLCgwN+VFYyd0J2GGA1tLRf3+4kVk4LwAjArxaSHdNg3DN\nu7ZFtq" +
               "QOTR4+PhQSRAsiAuIlw/8vPaPeOLH3/KVvr2yuoJ2j4RVJuJJTJJHf/AQzVa" +
               "JBkaqIf/3v\n3X+cbNzxQVAgpgVqE8eAKEj0fr+OmmSKlQqTcFYwjtpyJstj" +
               "XVyVqkkrn2XmQuVEoqZN7u/z4Cgc\ncdOD4w2xiMsOsURdjAl/+t4gy97tF8" +
               "IPXP647fNgdYVsryqlKcLdfItWwjHFCIHzK28kTr56/diT\nMhZeMDgKW05W" +
               "p2pR2rcmALHvqpP7yvrVp17b8tblUrC7KtJHGcOLItbF55f63vwSvw11AfLT" +
               "pkeI\nTL+AF3YhvxPqvuQUIFTcGlvSLNb75X6r8IjkQtIbgx6JAKY/7cZFyy" +
               "hFNZ99+s8Lp1sHXSsFT3cZ\nc/4SWcOYUY98sv/07e/5VenYChyEjIHiSrUH" +
               "cBVSH75UiIbfO5MPoqY06pBtDhv8ANYd4fY0NCp7\nzDuMo1U197VNx62wsT" +
               "Lce/1QrFLrB2KlysBeUIt9kw97bfD1wLfsYW/Zh70AssRmh2QYkuumMlKa\n" +
               "LEYLWEwGqFlU25LCbRKxUlPMC1Qllt1eHCECfXfrbLIrH3viZuRFfPGQ2386" +
               "a2vdLsPJP3TmR7Ll\n0Yhap6aGvTmljBK/qr2y3Zdc1/74wE/j288+Ww8mA/" +
               "fkzKjRQs9joVn6FRTbcphWzBu1TLHa4LQy\nAuOSMVUTov6a8jAI3y0vRLfq" +
               "lQexDNfNG1+2rbPnFOYYnOaJYhCupCZTpjpPeP2k8zF3VVJ1V1El\nlujXUv" +
               "8ejkIgtU5WJRjNQ18veIPHK/3v/HL+WnJ1sGo627hiQKrmcSc0qaXVEqjZcC" +
               "8Nkvri1g3n\njiavZoNeudjJUUPBpBrgtKtOOy29ru+ejRg0r18xPbsznjq0" +
               "dHjzBSv6tWwd5TksDMNQztH16jys\n2octRnJUGhh2s9KSP4fBWmGJ2GOr7P" +
               "qquKUmXZOK/wFr8I/Y1gsAAA==");
        }
        
        private class BinarySendThread
        extends SJThread
        {
            private sj.runtime.net.SJSocket
              s =
              null;
            byte[]
              filebytes;
            
            public BinarySendThread(String filename,
                                    sj.runtime.net.SJSocket s) {
                super();
                try {
                    this.
                      filebytes =
                      readFile(
                        new File(
                          filename));
                }
                catch (Exception x) {
                    System.
                      out.
                      println(
                      "File could not be read: " +
                      filename);
                    throw new RuntimeException(
                      "File could not be read: " +
                      filename);
                }
                this.
                  s =
                  s;
            }
            
            final public java.lang.String
              _sjformal_run_s =
              ("H4sIAAAAAAAAAIVVS2wbRRgeP+I2j0LcpqHQPNSSqqoibA485QtR1KppFzXE" +
               "aSXSgzXeHdsTxrvL\nzKxjR6gS4gBckFDLSwJ6QeLSAyqiHEBwAYGQuPRAud" +
               "BLK8SBSnCLEAf+f8bO2puIWtZ6Z+Z/zP99\n3//72j0ypCQpqvWC7oRMmWdQ" +
               "XWeuVgXFlLK75TPnIr3R4IKtwrriEvtJpUnKIdlq4HU0Oe6o9aIx\nL/YFKW" +
               "4HKZbPoHOpLcnx+6ZLpkk7ZMiF/N7L5BLmzIVUMl+bFQQ8GAaiUxeB7oa17g" +
               "vHvjzv/PHt\nbJoQsDm8i805k7ri/vvU1PTNhbvDGYy9NwwU1zzwNTnk9JyK" +
               "keaiuNw9KbXDEL6A3Px9Sykz39sF\ntdEm2NC6AVSTg3EiC5aFCutLQyb8zU" +
               "G2RxI1LEhJOzb49czc3+mvJufSJIuUUMXQaS9AVeNMeEqT\ncWedtqgtxOFK" +
               "lxwywn3NZI26TKH1qEP2NJluBJ5dAmoziYwrrMYAebcrhK2ocGXpxWgKIUaX" +
               "TNhW\nO52WJW8Cbq2u09szn/z++Z2VCauel7jvafJoEoABn7mzYFTqy3Dk/z" +
               "IY6+/mj1y7tHK7asnfv22P\n5RdO+lHzyau/shPPjbn2Fj6Fwsl+C5Ggfr1Y" +
               "1pL7dWBaA5wdzSDrATy1EQzyiGL71ZvTH/xAPwLp\nLJGs4pusHSLJG1l87g" +
               "LGKaRjyVeaAooVd/Ob8x9v/axvm2sMu6A6yn0mNZlJIjIAPbbRVCLyBSrj\n" +
               "uM/80srnPrvaTJM9a2Qc4uKBvkBFxMpMrwH1arG76ZB9A+eDONgeAbFkPeYK" +
               "TaaS9+pLC1ZDNUHr\noLbJpNkp3C91oUYmD8A7HhmdGm6zYTtFjNhnALiJJH" +
               "AYYOu13OO3vh793sDVy/Vgn7KhOOAM3PMx\nWauSYdG/vb98+Z17r1/MgCTC" +
               "0BCU1hCE+xTqyoVRVXC3DW+C+XXdMD3wAMgNf/OaZLgdOPvsziS6\n2yBqJx" +
               "fLAprqdCA8Jivup3d+euXk2TffiKVm6kdpWUkh0IVFEfiMVoXtxXlNJswZDw" +
               "plJjkVfBMP\n4+SxxGYTyZ83PRxrId86/EKmwX9Mk8w2jbNJfgadEkSNSKYj" +
               "6a9u0yXJ0R0tGLjMiySL8773z+m/\nLg89+4WZSbG2McLDPfZwMQ3jsBbIJh" +
               "WYoDeKRnRDBhvxTk8ihgOzNWueRy2VKXw/hsPhocFmxwge\ntuqf10vjbz2m" +
               "bgAMa2SYN5uRRkQdMkaFCDaYV9FmGOf71L8oqELVjlWpC5OqXhEQyF4nTLVg" +
               "JOzy\nr1I4NHHl3RMf3sLRE27TRcwtieXvaXPb0o5DXD8BmnRRCz0djMcasc" +
               "3Y/g/kV7fStwcAAA==");
            
            public void
              run(
              ) {
                {
                    sj.runtime.net.SJSocket _sjtryreturned_7 =
                      null;
                    int _sjspawncount_s =
                      -1;
                    try {
                        int i =
                          0;
                        while (s.
                                 outsync(
                                 i <
                                   filebytes.
                                     length)) {
                            int length =
                              filebytes.
                                length -
                              i <
                              CHUNK_SIZE
                              ? filebytes.
                                  length -
                              i
                              : CHUNK_SIZE;
                            byte[] bytes =
                              new byte[length];
                            System.
                              arraycopy(
                              filebytes,
                              i,
                              bytes,
                              0,
                              length);
                            s.
                              send(
                              bytes);
                            i +=
                              length;
                        }
                    }
                    catch (java.lang.Exception _sjx) {
                        
                    }
                    finally {
                        if (s !=
                              null &&
                              s !=
                              _sjtryreturned_7)
                            s.
                              close(
                              _sjspawncount_s);
                    }
                }
            }
            
            final public static String
              jlc$CompilerVersion$jl =
              "2.2.3";
            final public static long
              jlc$SourceLastModified$jl =
              1213297808529L;
            final public static String
              jlc$ClassType$jl =
              ("H4sIAAAAAAAAAIVXXWwUVRS++9Nttyy2W8pf6R9liSBh6gtE7APUSkPLEtZu" +
               "QVhLlrszd7fTzs6M\nd+5ut6hVYyLIg4kB/EkUXkxIDA8Goj5o1AT818T0AX" +
               "yBxGCMiULkwUgMRs+9M7M/sws06XB67znn\nnnvOd75zOXcDNVkU9ZuGNp/T" +
               "DCaxeZNYUgJTiygjGrasSVhIy4+uuzP3/dHxNQHUlkJtqp5kmKny\niKEzUm" +
               "IpFMmTfIZQa1hRiJJCUZ0QJUmoijX1CCgaegp1WGpOx6xAiTVBLEMrcsUOq2" +
               "ASKs50F+Mo\nIhu6xWhBZga1GGqPz+AiHiwwVRuMqxYbiqNQViWaYj2NFpAv" +
               "jpqyGs6B4oq4e4tB4XFwlK+DeqsK\nYdIslolrEpxVdYWhPq9F+cax3aAAps" +
               "15wqaN8lFBHcMC6rBD0rCeG0wyquo5UG0yCnAKQ113dQpK\nLSaWZ3GOpBla" +
               "5dVL2FugFRZp4SYMLfeqCU8liro8Nauq1t5Q5N/jib/7/SJmhcgaj78JjHo9" +
               "RhMk\nSyjRZWIb3i5IJ8cOFrr9CIHyco+yrTO8/qN98d8+67N11jTQ2ZuZIT" +
               "JLy3e2dvcsDv8SDvAwWkzD\nUjkUam4uqppwdoZKJmBxRdkj35Tczc8nvjz4" +
               "wnvkdz9qGUMh2dAKeX0MhYmujDhyM8hxVSf26t5s\n1iJsDAU1sRQyxN+Qjq" +
               "yqEZ6OIMgmZtNCLpkIoVb4DSDk24zEjy/EvwwtnRidTACai4RK1gxDA5I0\n" +
               "Zc1MMWIxa8qi8hTNMnOqRqnEnS6d8/ngPt3e3tIAiLsMTSE0LZ+9/u2zO3e/" +
               "csxfRpcTDkMSdytV\n3MZ4t1FDm5ymBCuxx1Qd0/kk3NReQD6fOG5lbfp4PR" +
               "TeNn+cH2p/dbP1oR8FUiis5vMFhjMagXbD\nmmbMESXNBN6iVdgWkAI8RjIA" +
               "TUB5WgNHohUgX0WKBrwQrDTuGEgYcLW48N+PN9NzFzhaeHU7uXc7\nNKjVrB" +
               "1bZGPy0PjhYwMBrjQX5LkH1dj9vaflm8f3XLj83dUNFagzFKvrwHpL3kHe8B" +
               "PUkIkCDFVx\n/8Y/u/480bTtAz+HSxiIiWGAE3R5r/eMmk4aclmJJ8sfR0uy" +
               "Bs1jjW+5VNLKpqkxV1kRkFki5Acc\nLEIifCsdLPK/Ed9s55+oDTCeT88dBO" +
               "fdfin08JVPlnzhr6bHtioeTRJmN1u0Uo5JSgisX30zceLU\njaNPiVo4xWAo" +
               "ZBYymiqXRHzLfVD7ZQ0aX1rVefL1jW9fcYu9rOJ9mFI8z2tdenGx562v8DtA" +
               "CtCc\nlnqEiN7zOWXn/juA9IUlB6FkE6x7Mv8+JORNPCPCCols9DsqHJjenh" +
               "vl88Ktaj7zzF8XT7f221Fy\nm64y5rz8WGOYlo98uu/07R/YNZHYChy4j75S" +
               "/bH7cRVSH7lcjIbeP5P3o+YUahczDutsP9YKPO0p\nmFLWiLMYR0tr9msnjk" +
               "2vQ2W4d3uhWHWsF4gVigGZa3O52YM9KD3qhHy0ONhr8WDPh0wubBMGA+K7\n" +
               "3nQqwVCYE2xmHujRqh9SAgb2HDkfiN3yf7wiJlormMGWHYt3utcP75qZLEIP" +
               "m6UGtUtQNQ+jo+jM\nttd63/31wvWJTn/VA2Bd3QyutrEfAeKEVnHC2nudIL" +
               "QvbVp7bmHiWsYejh21XLxTL+S3nPmJbNwR\nkRsQflAkzYV2dUNsMd2c76rP" +
               "uZ9BiWEYiBn/IBQgpBE9x6aFzg7T7ooRhgKQSC5uL5XP8NsO3KZb\nVmm6Ec" +
               "3QCZ8P7p7N26ohlZ91sFmqi5aiPk+O9ohiVdogWlzzRGBa/RrmUBnBde+wWq" +
               "OhWty2UgLP\nSH2yBr29pvhnO//E7skV9yWSA5BQmd+/ARnZvWezb6m+FsCU" +
               "zSZVi5gRl40q53S5AVDUc7e3mwDR\n0QO3Ii/jS4f8TkCPQ02dB3aZ4bweaj" +
               "PW9mTfz6Nbzz5XT3Fc3l8zZfphebXT6asbTZm7p9RD2iut\nGYkWdKbmiaQT" +
               "JiXHk4Y8S1jjlHuMq8C3syQTk7/5xPmAjwB49cI5WDRUBdDe7n0IuQ577vl+" +
               "giKs\nqvtPj/00lwcWD2+4aEa/sZnJfT6H4A2bLWhaNYNWySGTkqwqIg7ZfG" +
               "ojcgFC5ZFw+XmzfNuqVCXH\n7ZBK/wN6kmW+jQ0AAA==");
        }
        
        final public static String
          jlc$CompilerVersion$jl =
          "2.2.3";
        final public static long
          jlc$SourceLastModified$jl =
          1213297808529L;
        final public static String
          jlc$ClassType$jl =
          ("H4sIAAAAAAAAAIVWW2xURRie3bZbWra22wuQ0hulRJBw6otE3BdrQ0PLkq7d" +
           "grKWLLPnzLanPTdn\n5mwXVKIxEeTBxIC3ROHFhMTwYCTqi1ET8K6J6QP4Ao" +
           "nBGBOF6IORGIz+M+fs5ZwuuMmZTmf+2/z/\n91/O30BNjKIhxzaOzBs2V/gR" +
           "hzAljSkj2riBGZuFg5z60Obby98en9rYgNqzqF23MhxzXR23LU5K\nPIviJj" +
           "HzhLIxTSNaFiUsQrQMoTo29KNAaFtZ1Mn0eQtzlxI2Q5htFAVhJ3MdQqXO8m" +
           "EKxVXbYpy6\nKrcp46gjtYiLeNTlujGa0hlPplCsoBNDY0+iYyiSQk0FA88D" +
           "4bpU+RWjUuLohDgH8lYdzKQFrJIy\nS+OSbmkcDYY5Ki8e2QsEwNpsEr5gV1" +
           "Q1WhgOUKdnkoGt+dEMp7o1D6RNtgtaOOq9o1AgWuNgdQnP\nkxxHG8J0ae8K" +
           "qFqkWwQLRz1hMimpRFFvKGY10ZqOxf85mf5rKCpt1ohqCPubgGkgxDRDCoQS" +
           "SyUe\n4y1XOT150O2LIgTEPSFij2Zsy4f7U798MujRbKxDM51fJCrPqbd39v" +
           "WvjP3U0iDMWOPYTBdQCLxc\nRjXt3yRLDmBxXUWiuFTKl5/OfH7w2XfIr1G0" +
           "ZhLFVNtwTWsStRBLG/f3zbBP6RbxTqcLBUb4JGo0\n5FHMlv+DOwq6QYQ7Gm" +
           "HvYL4g9yUHIdQCH7wqoiDvtyQWjtpmJmbTgOYioQpb5GhYUebY4hwnjLM5\n" +
           "RtU5WuDOXICoJIS2LUci8J6+cG4ZAMQ9tqERmlPPXf/66d17XzwRraDLN4ej" +
           "fiFWqYodEdlGbWN2\ngRKsoUhESl8f9JZwvyay5Lf3kh0v7WAfRFFDFrXopu" +
           "lynDcIZBc2DHuZaDku4ZWogbJEEMAvngck\nAqhzBgiSyAf3FCkaDiOumqeT" +
           "sMMAo5Vj/35/M7d8QYBDBLNbSPdMg9AsebbFt2UOTR0+MdwgiJYb\nwcniJS" +
           "P/Lz2n3jy578Llb65urSKbo5FVCbeaUyRM2Pw0tVWiQUGqin/t7z2/n2ra9X" +
           "5UoKMF6hDH\ngB5I6oGwjkDiJMtFSDgrmkJrCzY1sSGuypWjlS9Qe7l6IhGy" +
           "Vu7v8aEH7kDUh54tFnHZIZaEhyfh\nz9AbZIm79Xzs/isfrf0sWlsN22vKZo" +
           "ZwL7cS1XDMUkLg/Orr6VOv3Dj+hIyFHwyOYo6bN3S1JO3r\niUDsu+rkubKh" +
           "+/Sr2968Ug52V1X6GKX4iIh16bmV/je+wG9BDYBcZPpRIlMt4oddyO+EGi85" +
           "BQgV\nr56WNYv1PrnfLjwiuZD0xpBPIoAZTrEJ0R7KUTXzT/158UzrkGel4O" +
           "mtYC5cDgOMOfXox/vP3PqO\nX5OOrcJByBgsrVZ7ANcg9cHLxUTs3bNmFDVn" +
           "UYdsadjiB7DhCrdnoSmxcf8whdoC98EG41XTZAXu\nfWEo1qgNA7FaUWAvqM" +
           "W+OYS9Vvh64DN97Jkh7EWQIza7JMOwXLdUkNLsUL2IxRSAGiiRhDskWKWS\n" +
           "pB+jahh7/RCC8/vv1MBk8z3++B/xF/ClQ16b6QyWud2Waz5w9gey7eG4Wqd0" +
           "xvxxpAKQsKp9squX\nvdb+2OCPEzvPPVMPIYN35cypieLGRxsW9C+hzlYitG" +
           "qsCDIlg3FppQSmIms2EJ2BQGW4V/Yh78fr\nVQaxjNRNmVCirWeLCnUtrptE" +
           "sQhXMlMZW10ivH6+hZi7qlm6u6QSR7RlqX+vCL5r1UmoNNVNaN9F\nf754ee" +
           "Dtny9cn+mO1gxhm1fNQbU83iAmtbQ6AjWb7qZBUl/avun8sZlr+ahfKR7hqL" +
           "Fo6xpAtC3Q\nQ8vvag91WtCyYdVA7I1t6vDK4a0XncRXskNURqsYzDcF1zBq" +
           "061mH3MoKejSmJiXfI78cxgsE7rF\nHjsVN9fEKDPlmVr6DzW0j8ipCwAA");
    }
    
    
    private void
      populateUsers(
      ) {
        users.
          put(
          "guest",
          "passwd");
    }
    
    private static byte[]
      readFile(
      File file) {
        InputStream is =
          null;
        try {
            is =
              new FileInputStream(
                file);
            int length =
              (int)
                file.
                  length();
            byte[] bytes =
              new byte[length];
            for (int offset =
                   0,
                   numread =
                     0;
                 offset <
                   length &&
                   numread >=
                   0;
                 offset +=
                   numread) {
                numread =
                  is.
                    read(
                    bytes,
                    offset,
                    length -
                      offset);
            }
            return bytes;
        }
        catch (IOException ioe) {
            throw new RuntimeException(
              "File could not be read: " +
              file);
        }
        finally {
            try {
                if (is !=
                      null)
                    is.
                      close();
            }
            catch (Exception x) {
                
            }
        }
    }
    
    private static void
      writeFile(
      String filename,
      byte[] filebytes) {
        BufferedWriter out =
          null;
        try {
            out =
              new BufferedWriter(
                new FileWriter(
                  filename));
            out.
              write(
              new String(
                filebytes));
        }
        catch (IOException e) {
            throw new RuntimeException(
              "File could not be written: " +
              filename);
        }
        finally {
            try {
                if (out !=
                      null)
                    out.
                      close();
            }
            catch (Exception x) {
                
            }
        }
    }
    
    public static void
      main(
      String[] args)
          throws Exception {
        new RFTPServer(
          Integer.
            parseInt(
            args[0]),
          args[1]);
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.2.3";
    final public static long
      jlc$SourceLastModified$jl =
      1213297808529L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAAK1YbWwURRieu16vvVK8trQVgVIoJVAIV0z4tImxNm24csDR" +
       "D5BScuztzbVb9nbX\n2dnrAUokJnzURGMAlURBExISwg8DUUw0agJ+a2L4Af" +
       "6BqBhjohD5YSAGo+/M7N7H3tGikbDL3Oz7\nNe/7PO/McPYmKjcJmmfo6u4R" +
       "VachutvAZigqERMnulTJNAdgIiY/tuDe+NcHe2eXoeAQCipaP5Wo\nInfpGs" +
       "UZOoSqUzgVx8TsTCRwYgjVahgn+jFRJFXZA4K6NoTqTGVEk6hFsNmHTV1NM8" +
       "E60zIw4T6d\nyQiqlnXNpMSSqU5MimoiY1JaareoorZHFJN2RJA/qWA1YT6N" +
       "9iFPBJUnVWkEBBsjziraucX2HjYP\n4lUKhEmSkowdFd8uRUtQ1OzWyK64dT" +
       "0IgGpFCtNRPevKp0kwgepESKqkjbT3U6JoIyBarlvghaJZ\n9zUKQpWGJO+S" +
       "RnCMopluuaj4BFIBnhamQlGDW4xbyhA0y1WzvGpt8lf/NRG9M8/LY05gWWXx" +
       "l4PS\nXJdSH05igjUZC8W7VuhoeJs1x4sQCDe4hIVM58ILg5FfPmoWMrNLyG" +
       "yKj2GZxuR7q+Y0Xe78KVDG\nwqg0dFNhUChYOa9q1P7SkTEAi41Zi+xjyPn4" +
       "cd+n2547g3/1osow8su6aqW0MApgLdFljytgHFE0\nLGY3JZMmpmHkU/mUX+" +
       "e/IR1JRcUsHT4YGxId5eOMgRCqgMcDf8eQ+DOdvSia3tczEAU0pzEJmWMU\n" +
       "tYRCw+bYMMUmNYdNIg+TJDWGC4QyzOj0cY8H1jPHzS0VgLhOVxOYxOTTN758" +
       "pnv94UPeLLrscCgK\nMrOhnFnk8XB7DxfmhyU8wXjx27mOmheXme96UdkQCi" +
       "iplEWluIqBT5Kq6uM4EaMcULV54OWYAcBV\nxwF7AOOYCoY41iEhaYJa3BjL" +
       "MTMMIwmAc3nf39/eio2fZ3Bg5atn1kVoUIxdIrbqtv4dvTsPtZQx\noXEfyz" +
       "OItk5tPSbfmthw/spX1xbnsExRaxHFijUZRdzhR4ku4wS0oJz5V/9c9/uR8r" +
       "XveBkeAtB5\nqAR4ARrPdfsooEqH03ZYsrwRNC2pk5Sksk9Or6iio0Qfz81w" +
       "TEzj44cgAZXwQM6QYoNtLXuxjzXs\nVSsQxPLpWgNvanef9y+/+sG0T7z5/S" +
       "+Y1yj7MRVsqs2VY4BgDPPXXoseOXbz4HZeC7sYFPkNK64q\ncobH1+CB2s8o" +
       "wezQzPqjr7S9ftUp9oyc9U5CpN2s1pn9l5uOfya9AawH9pnKHszJ5eWevGZx" +
       "D4oS\nJQUUT9s96OW5p34+f6Ov3pvXqBcU9cp8HdGsecaqjAx4mD+ZBy59ae" +
       "n8s/v6rsdFE6srpFS3ZqVW\nnvwOtz1RLZcgZhlsJzxNdbA58QQwLoXERuAk" +
       "kL2X8PFSlmAb87bWjJxWd0bGButvPPx5tjrjnrtv\n9LA9zwFuKr73j4snqu" +
       "aJQjCdWdxFRYn8FijG5D0fDp64+w29zleWQzyz0ZwpdrtFyiPjmivpWv/b\n" +
       "J1NeVDGEavg+LWl0i6RaDFlDsNOaXfZkBE0v+F64a4otoiPL6DnuAue5dXMt" +
       "Vw0YM2k2rnDRqxGe\nNniCNr2CLnrxVlqbq0MYjggjmNT9+OapO/sPrvEy8J" +
       "anWeCQk7wqb7TYQefA2WNN045+/wJPPxj2\nMaNPcuct/L1QEKuMQuiKJsEK" +
       "KwyipCUKefCb/PCUoaiqa93gxvWx/vBQN1NqF5xn78cNiNBgow3F\nVr1sHG" +
       "avXjASMGJxRTNhy3Pg1WCOhYilUSWFQ/290PSoDvtlKeP9D2acYDnNZjaXsr" +
       "H1AWwwlBER\nQkkb26ey4TdibDt0G8iWOwDPInhW2uVe6S434rqxYj8ex0W5" +
       "ZcIJ1slhXt9cJ5mjGyTjfm7r4Vlt\nu11d2m2SvSToHATz3yu4LY7YVpvwuX" +
       "4hiIxYH2u63xGP97CDT92uPiBd2sFAyBQfhVRT3Vim4jRW\nc33EbWQDP9E6" +
       "5Apubf6hZ9XpZ92NxAfumyfVjMm16dmby0aVz+HEkSVy0ZG6UKmjkL5VBMON" +
       "QBso\nIPHcgvQ2QYmWi+yKf917JM9tya6LnExO9pH9pnDIM3TDUoGfg1kULD" +
       "OE5nKKfGldEfQi2eBq4FkC\nQdmQ87ghl8NLMa572Wv9A+0V1RyIig5tXMVT" +
       "L2UfRZUESwkmbRZfEvguLfbZc2Wtt73vN7byk48v\nLpmiBO7bVfHlqeBOxJ" +
       "0G7EzlZyy+m+KSa2KsF7R4aTLWL2KsV7E2Ik7ovDdOZLIWneNE8Y7apeoa\n" +
       "Zidf51u9k8HsjTTuZNIdGzH4eibymPlfMXUcOorMQilxVBC7X6YEoDohkj4b" +
       "UH3/E6C8ObEVeVmc\nLPi3oJWME4XiHvuytNcVa1D0W0/SjjX5L2Jd9IDgP5" +
       "z19gg8zVN4W2EYxqQ22c81XPQMwDMFhx6+\nMLYN5y5Z7FA7s+g/Q8SVXW65" +
       "vHPxRaP2C8EY51rth7tt0lLV/FNJ3thvEJxUuF+/OKMIjF2AIJwt\n7T3+Pp" +
       "n5B/hXD9GOEQAA");
}
