// bin/sjc tests/src/remclassload/serv/AServer.sj -d tests/classes/remclassload/serv/
// bin/sj -cp tests/classes/remclassload/serv/ AServer 8888 

import java.util.Date;

import sj.runtime.*;
import sj.runtime.net.*;

class AServer
{
	public static void main(String[] args) throws Exception 
	{
		protocol p { begin.!<String>.?(Address) }
		
		SJServerSocket ss = SJFServerSocket.create(p, Integer.parseInt(args[0]));
				
		try
		{		
			ss.setCodebase("http://www.doc.ic.ac.uk/~rh105/remclassrep/");
			ss.setRemoteClassLoading(true);
			ss.setEagerClassDownloading(true);
			ss.setEagerClassVerification(true);
		
			SJSocket s = null;

			try (s)
			{
				s = ss.accept();

				s.send("Hello!");

				Address v = (Address) s.receive();

				System.out.println("Received: " + v.getAddress());
			}
			finally
			{
			
			}
		}
		finally 
		{
			ss.close();
		}			
	}
}
