// bin/sjc tests/src/runtime/fsocket/delegation/case3/A.sj -d tests/classes/
// bin/sj -cp tests/classes/ runtime.fsocket.delegation.case3. A HZHL 7777 HZHL 8888

package runtime.fsocket.delegation.case3;

import java.io.*;

import sj.runtime.*;
import sj.runtime.net.*;

class A // D-A-B-C => D-A-C-B (=> A-D-C-B)
{
	//BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
	//try { br.readLine(); } catch(IOException ioe) { }

	public static void main(String[] args) throws Exception 
	{
		protocol body { ?(String).!<String> } // The send makes this session a case 1 instead of case 2.
		protocol p_d { begin.@body }		
		protocol p_b { begin.!<String>.!<@body> } // The first send is unnecessary.

		SJServerAddress c_d = SJServerAddress.create(p_d, args[0], Integer.parseInt(args[1]));
		SJSocket s_d = SJFSocket.create(c_d);			

		SJServerAddress c_b = SJServerAddress.create(p_b, args[2], Integer.parseInt(args[3]));
		SJSocket s_b = SJFSocket.create(c_b);			
		
		try (s_b, s_d)
		{
			s_d.request();
			s_b.request();		

			s_b.send("Hello from A!");
			s_b.send(s_d);
		}
		finally
		{
		
		}
	}
}
