//$ bin/sjc tests/src/serverclient/client/AClient.sj -d tests/classes/serverclient/
//$ bin/sj -cp tests/classes/ serverclient.client.AClient localhost 7777

package serverclient.client;

import java.util.*;

import sj.runtime.*;
import sj.runtime.net.*;

public class AClient
{
	private protocol p 
	{ 
		begin.?(String).?(String).!<int>
	}		

	public AClient(String server, int port) throws Exception
	{
		//BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		//try { br.readLine(); } catch(IOException ioe) { }				

		SJServerAddress c = SJServerAddress.create(p, server, port);	
		SJSocket s = SJRSocket.create(c);			
		
		try (s)
		{
			s.request();						
									
			System.out.println("Received: " + (String) s.receive(1000));
			System.out.println("Received: " + (String) s.receive(1000));
			
			s.send(1234);
		}
		finally
		{
			
		}		
	}
	
	public static void main(String[] args) throws Exception
	{			
		new AClient(args[0], Integer.parseInt(args[1]));
	}	
}
